/*
 * Created on Jun 16, 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
 
package examples;

import javax.xml.parsers.*;
import org.xml.sax.*;
import org.xml.sax.helpers.*;

import java.io.*;
import java.net.*;
import java.util.*;
 
import com.ve.kavachart.chart.*;
 

/**
 * @author David McMurdie
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class XBRLDataProvider implements com.ve.kavachart.utility.DataProvider {
	Hashtable datasets = null;
	Dataset currentDataset = null;
	Datum currentDatum = null;
	
	double scaleFactor = 1.;
	
	public String prefix = "nonOperatingIncomeExpense";
	public String urlPrefix = "http://www.edgar-online.com/xbrl%5Cdata%5CAirlines%5C";
	public String urlSuffix = "%5Cis%2Exml";
	public String companyName = "AlaskaAirGroup";
	public String formalCompanyName = null;
	
	public void generate(){
		datasets =  new Hashtable();
		try{
		SAXParserFactory factory = SAXParserFactory.newInstance();
		SAXParser parser = factory.newSAXParser();
		
		parser.parse(getInputStream(), new MyHandler());
		}catch(Exception anything){
			anything.printStackTrace();
		}
	}
	
	private InputStream getInputStream(){
		try{
			URL url = new URL(urlPrefix + companyName + urlSuffix);
			return url.openConnection().getInputStream();
		}catch(Exception anything){
			System.out.println("prob with url");
		}
		return null;
	}
	
	public static void main(String[] args){
		XBRLDataProvider test = new XBRLDataProvider();
		System.out.println("company name:" + test.companyName);
		Enumeration en = test.getDatasets();
		while(en.hasMoreElements()){
			System.out.println(en.nextElement());
		}		
	}
	
	class MyHandler extends DefaultHandler {
		XBRLDataProvider parent = null;
		boolean getDatasetLabel = false;
		
		public void startElement(String uri,
								String localName,
								String qName,
								Attributes attributes)
								throws SAXException{
			handleStartElement(qName, attributes);
		}
		
		public void endElement(String uri,
								String localName,
								String qName)
								throws SAXException{
			handleEndElement(qName);
		}
		
		public void characters(char[] ch,
							   int start,
							   int length)
						throws SAXException{
			String s = new String(ch, start, length);
			if(currentDatum!=null){
				currentDatum.setY(Double.parseDouble(s)*scaleFactor);
				currentDatum = null;
			}
			if(currentDataset!=null){
				if(getDatasetLabel){
					currentDataset.setName(s);
				}
			}
			//get one dataset label - simple
			getDatasetLabel = false;
		}
								
		private void handleStartElement(String name, Attributes attributes){
			if(name.equals("group")){
				String type = attributes.getValue("type");
				if(type==null)
					return;
				if(type.equals("ci:statements")){
					formalCompanyName = attributes.getValue("entity");
					String s = attributes.getValue("scaleFactor");
					if(s!=null)
						scaleFactor = Math.pow(10, Integer.parseInt(s));
				}
				else if(type.startsWith("ci:")||type.startsWith("air:")){
					currentDataset = new Dataset();
					datasets.put(type, currentDataset);
				}
			}
			else if(name.equals("label")){
				if(currentDataset!=null)
					getDatasetLabel = true;
			}
			else if(name.equals("item")){
				String period = attributes.getValue("period");
				currentDatum = new Datum(Datum.DEFAULT, Datum.DEFAULT, null);
				if(period.startsWith("P1Y"))
					period = period.substring(4, 8);
				currentDatum.setLabel(period);
				if(currentDataset!=null)
					currentDataset.addDatum(currentDatum);
					/** we're not looking for industry specific stuff right now
				else
					System.out.println("datum with no dataset?  something is seriously awry");
					**/
			}
		}

		private void handleEndElement(String name){
			if(name.equals("group")){
				currentDataset = null;
			}
			else if(name.equals("item")){
				currentDatum = null;
			}
		}
	}
	/* (non-Javadoc)
	 * @see com.ve.kavachart.utility.DataProvider#getDatasets()
	 */
	public Enumeration getDatasets() {
		if(datasets==null)
			generate();
		ArrayList list = new ArrayList();
		Enumeration keys = datasets.keys();
		while(keys.hasMoreElements()){
			String key = (String)keys.nextElement();
			if(key.indexOf(prefix)!=-1){
				list.add(datasets.get(key));
			}
		}
		return Collections.enumeration(list);
	}

	/* (non-Javadoc)
	 * @see com.ve.kavachart.utility.DataProvider#getUniqueIdentifier()
	 */
	public String getUniqueIdentifier() {
		return prefix + urlPrefix + companyName;
	}

}
