import com.ve.kavachart.chart.*; 
import java.awt.*; 

public class CustomLinePanel extends Panel { 
	
	LineChart chart; 

	CustomLinePanel(){ 
		chart = new LineChart(); 
		Globals g = chart.getGlobals(); 

		Dataset series = new Dataset(); 
		for (int i = 0; i < 20; i++) { 
			double x = i * 100.; 
			double y = Math.sin(i/10.); 
			if(i==10){ 
				ExtraordinaryDatum dat = new ExtraordinaryDatum(x, y, g); 
				dat.setDescription("middle element"); 
				series.getData().addElement(dat); 
			} else{ 
				Datum dat = new Datum(x, y, g); 
				series.getData().addElement(dat); 
			} 
		}
		chart.addDataset(series); 
		chart.setLine(new ThresholdLine(0.5)); 
		//set style 
		Gc seriesStyle = series.getGc(); 
		seriesStyle.setLineWidth(2); 
		seriesStyle.setFillColor(Color.red); 
		seriesStyle.setLineColor(Color.blue); 
	}
        /*
	CustomLinePanel(){ 
		chart = new LineChart(); 
		double x[] = new double[20]; 
		double y[] = new double[20]; 
		for (int i = 0; i < x.length; i++) { 
			x[i] = i * 100.; 
			y[i] = Math.sin(i/10.); 
		} 
		chart.addDataset("a", x, y); 
		chart.setLine(new ThresholdLine(0.5)); 
		//set style   lines are blue, threshold is red 
		Gc seriesStyle = chart.getDataset("a").getGc(); 
		seriesStyle.setLineWidth(2); 
		seriesStyle.setFillColor(Color.red); 
	} 
        */

	public static void main (String[] args) { 
		Frame f = new Frame(); 
		f.setSize(300, 300); 
		f.add(new CustomLinePanel());
		f.setVisible(true); 
	} 
	
	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

	public void update(Graphics g){ 
		paint(g); 
	} 

}
