import java.awt.*; 
import java.awt.event.*; 
import com.ve.kavachart.chart.*; 
import java.util.*;

class DataScroller extends Scrollbar implements AdjustmentListener { 

	Vector totalData; 
	Vector visibleData; 
	Panel paintable;

	public DataScroller() { 
		super(Scrollbar.HORIZONTAL); 
		addAdjustmentListener(this); 
	} 

	public void adjustmentValueChanged(AdjustmentEvent event){ 
		int start = getValue(); 
		int end = start + getVisibleAmount(); 
		visibleData.removeAllElements(); 
		for(int i=start;i<end;i++){ 
			visibleData.addElement(totalData.elementAt(i)); 
		} 
		if(paintable!=null) 
			paintable.repaint(); 
	}

	public void setData(Vector vector) { 
		totalData = (Vector)vector.clone(); 
		visibleData = vector; 
		setMinimum(0); 
		setMaximum(totalData.size()-1); 
		//set the current data window 
		adjustmentValueChanged(null); 
	} 

	public void setPaintable(Panel p) { 
		paintable = p; 
	}

}
