import com.ve.kavachart.chart.*; 
import java.awt.*; 
import java.awt.event.*; 
import java.util.*; 
import java.text.*; 

public class HighlightObject extends Panel { 

	Chart chart; 
	Highlighter highlighter; 

	HighlightObject(){ 
		chart = new LineChart(); 
		double x[] = new double[20]; 
		double y[] = new double[20];
                
		for (int i = 0; i < x.length; i++) { 
			x[i] = i * 100.; 
			y[i] = Math.sin(i/10.); 
		} 
		chart.addDataset("a", x, y);
                
		//set style 
                Gc seriesStyle = chart.getDataset("a").getGc();  
		seriesStyle.setMarkerStyle(Gc.MK_DIAMOND); 
		seriesStyle.setMarkerSize(7); 
		seriesStyle.setLineWidth(2);
		seriesStyle.setFillColor(Color.green);
                 
		chart.setLegendVisible(true); 
		chart.setUseDisplayList(true); 
		addMouseListener(new MouseAdapter(){ 
				public void mousePressed(MouseEvent e){
					doHighlight(e.getPoint()); 
				} 
			}); 
		highlighter = new Highlighter(chart.getGlobals()); 
	}
		
	protected void doHighlight(Point p){ 
		Vector list = new Vector();
		chart.getDisplayList().contains(p, list);

		Graphics g = getGraphics(); 
		chart.paint(this,g);
		for(int i=0;i<list.size();i++){ 
			Object myObj = list.elementAt(i);
			if(myObj instanceof Datum){ 
				g.drawImage(chart.getImage(), 0, 0, this); 
				Point[] points = highlighter.getHighlightPoints(myObj); 
				for(int j=0;j<points.length;j++){ 
					drawPoint(g, points[j]);
				} 
				return; 
			}
		}
	}

	private void drawPoint(Graphics g, Point p){ 
		Dimension d = getSize(); 
		p.y = d.height - p.y; 
		g.setColor(Color.red); 
		g.fillRect(p.x - 2, p.y - 2, 4, 4); 
		g.setColor(Color.white); 
		g.drawRect(p.x - 2, p.y - 2, 4, 4); 
	} 

	public static void main (String[] args) { 
		Frame f = new Frame(); 
		f.setSize(300, 300); 
		f.add(new HighlightObject()); 
		f.setVisible(true); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

	public void update(Graphics g){ 
		paint(g); 
	} 
}
