import java.awt.*; 
import com.ve.kavachart.chart.*; 

public class MultiAxisLineChart extends Chart { 

	AxisAndLineContainer[] lines = 
		new AxisAndLineContainer[Chart.MAX_DATASETS]; 

	protected void initChart() { 
		initGlobals(); 
		setPlotarea(new Plotarea()); 
		setBackground(new Background()); 
		initDatasets(); 
		initAxes(); 
		setLegend(new LineLegend()); 
	} 

	protected void initAxes() { 
		setXAxis(new Axis()); 
		xAxis.setSide(Axis.BOTTOM); 
	} 

	public void drawGraph(Graphics g){ 
		super.drawGraph(); //clears DisplayList 
		background.draw(g); 
		plotarea.draw(g); 
		if(xAxisVisible) 
			xAxis.draw(g); 
		int axisOffset = 0;
		for(int i=0;i<datasets.length;i++){   
			if(datasets[i]!=null){ 
				if(lines[i]==null){ 
					lines[i] = 
						new AxisAndLineContainer(datasets[i], xAxis, plotarea);
				} 
				lines[i].draw(g, axisOffset); 
				axisOffset -= 50; //shift the next axis over 
			} 
		}
		if(legendVisible) 
			legend.draw(g); 
	} 
}
