import com.ve.kavachart.chart.*; 
import java.awt.*; 

public class MultiAxisLinePanel extends Panel { 

	MultiAxisLineChart chart; 

	MultiAxisLinePanel(){ 
		chart = new MultiAxisLineChart(); 
		Globals g = chart.getGlobals(); 

		Dataset series = new Dataset(); 
		series.setName("small"); 
		for (int i = 0; i < 100; i++) { 
			double x = i * 100.; 
			double y = Math.sin(i/10.); 
			Datum dat = new Datum(x, y, g); 
			series.getData().addElement(dat); 
		} 
		chart.addDataset(series); 
		series.getGc().setLineColor(Color.blue); 

		series = new Dataset(); 
		series.setName("large"); 
		for (int i = 0; i < 100; i++) { 
			double x = i * 100.; 
			double y = 1000. * Math.cos(i/10.); 
			Datum dat = new Datum(x, y, g);
                        series.getData().addElement(dat); 
		} 
		chart.addDataset(series); 
		series.getGc().setLineColor(Color.yellow); 
		
		//give enough room for multiple Y axes 
		chart.getPlotarea().setLlX(0.30); 
		chart.getPlotarea().setUrX(0.92); 

		//turn a legend on 
		chart.setLegendVisible(true); 
		chart.getLegend().setLlX(0.30); 

		//set an overall title 
		Background b = chart.getBackground(); 
		b.setTitleString("large and small numbers"); 
	}

	public static void main (String[] args) { 
		Frame f = new Frame(); 
		f.setSize(300, 300); 
		f.add(new MultiAxisLinePanel()); 
		f.setVisible(true); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

	public void update(Graphics g){ 
		paint(g); 
	}
}
