import java.awt.*;
import java.text.*;
import java.util.*;
import java.awt.event.*;
import com.ve.kavachart.applet.*;
import com.ve.kavachart.chart.*;

public class ReadoutDateLineApplet extends dateLineApp { 

	DataTransform dataTransform; 
	Font displayFont = new Font("Dialog", Font.PLAIN, 10); 
	NumberFormat numberFormat = NumberFormat.getInstance(); 
	DateFormat dateFormat = DateFormat.getInstance(); 

	/** 
	 * Method to display our current mouse location 
	 * @param p java.awt.Point 
	 */ 
	public void displayMouseLocation(Point p) { 
		if(dataTransform==null) 
			dataTransform = new DataTransform((Chart)chart); 
		Datum dat = dataTransform.pointToDatum(p); 
		Graphics g = getGraphics(); 
		g.drawImage(chart.getImage(), 0, 0, this); 
		g.setColor(Color.black); g.setFont(displayFont);
		Date now = new Date((long)dat.getX()); 
		String s1 = dateFormat.format(now) + ": "; 
		String s2 = numberFormat.format(dat.getY()); 
		Dimension d = getSize(); 
		g.drawString(s1 + s2, 0, d.height - 5); 
	} 

	/** 
	 * overload the init method to add mouse support 
	 */ 
	public void init() { 
		super.init(); 
		addMouseMotionListener(new MouseMotionAdapter() { 
				public void mouseMoved(MouseEvent e){ 
					displayMouseLocation(e.getPoint()); 
				} 
			}); 
	} 

}
