import javax.servlet.*; 
import javax.servlet.http.*; 
import java.awt.*; 
import java.awt.image.*; 
import java.io.*; 
import com.ve.kavachart.chart.*; 
import com.ve.kavachart.utility.GifMaker; 

public class SimpleChartServlet extends HttpServlet { 

	static final int WIDTH = 450; 
	static final int HEIGHT = 300; 

	public void doGet(HttpServletRequest request, HttpServletResponse response)
		throws ServletException, IOException {
		//create an image to draw to 
		BufferedImage image = new BufferedImage(WIDTH, HEIGHT, 
												BufferedImage.TYPE_INT_RGB); 
		Graphics g = image.getGraphics();

		//create the chart 
		BarChart chart = new BarChart("Hello World"); 
		double[] data = new double[5]; 
		for(int i=0;i<data.length;i++)
			data[i] = Math.random() * 500.;  
		chart.addDataset("Stuff", data); 
		chart.resize(WIDTH, HEIGHT); 
		chart.drawGraph(g); 

		//encode the image and send it 
		response.setContentType("image/gif");
		ServletOutputStream out = response.getOutputStream();  
		GifMaker gifMaker = new GifMaker(out, image); 
		gifMaker.write(); 
	}
}
