import com.ve.kavachart.chart.*; 
import java.awt.*; 
import java.awt.event.*; 
import java.util.*; 
import java.text.*; 

public class ToolTipper extends Panel { 

        Chart chart; 
        NumberFormat formatter; 
        Font font = new Font("Dialog", Font.PLAIN, 10); 

	ToolTipper(){ 
		chart = new BarChart(); 
                double x[] = new double[5];
		double y[] = new double[5]; 
		for (int i = 0; i < 5; i++) { 
			x[i] = (double) i;
			y[i] = Math.random(); 
		} 
		chart.addDataset("a", x, y); 
		chart.setLegendVisible(true); 
		chart.setUseDisplayList(true); 
		addMouseMotionListener(new MouseMotionAdapter(){ 
				public void mouseMoved(MouseEvent e){ 
					doToolTip(e.getPoint()); 
				} 
			}); 
		formatter = NumberFormat.getInstance(); 
	} 

	protected void doToolTip(Point p){ 
		Vector list = new Vector(); 
		chart.getDisplayList().contains(p, list);
                
		Graphics g = getGraphics(); 
		for(int i=0;i<list.size();i++){ 
			Object myObj = list.elementAt(i); 
			if(myObj instanceof Datum){ 
				g.drawImage(chart.getImage(), 0, 0, this); 
				Datum dat = (Datum)myObj; 
				String s = "Value:" + formatter.format(dat.getY()); 
				g.setFont(font); 
                                FontMetrics fm = g.getFontMetrics(); 
				int width = fm.stringWidth(s); 
				int height = fm.getMaxAscent() + 2; 
				p.y = p.y - height; 
				//move away from cursor 
				g.setColor(Color.white); 
				g.fillRect(p.x, p.y, width, height); 
				g.setColor(Color.black); 
				g.drawRect(p.x, p.y, width, height); 
				g.drawString(s, p.x, p.y + height - 1); 
				return; 
			} 
		} 
		g.drawImage(chart.getImage(), 0, 0, this); 
	} 

	public static void main (String[] args) { 
		Frame f = new Frame(); 
		f.setSize(300, 200); 
		f.add(new ToolTipper());
		f.setVisible(true); 
	} 

	public void paint(Graphics g){ 
		chart.paint(this, g); 
	} 

}
