import java.io.*; 
import java.awt.*; 
import com.ve.kavachart.beans.chart.*; 
import com.ve.kavachart.beans.data.*; 

public class SerializedBeanFrame extends Frame { 

	ChartBean chartBean; 

	public SerializedBeanFrame(){ 
		chartBean = newChart("graph.ser"); 
		setSize(chartBean.getSize().width, chartBean.getSize().height); 
		add(chartBean); 

		//add a data feed like BeanFrame has 
		DataFeedSimulator dataSource = new DataFeedSimulator();

		//new data every 2 seconds  
		dataSource.setInterval(2); 
		dataSource.setNumberOfSets(2); 
		dataSource.setNumberOfPoints(3); 
		dataSource.addDataFeedListener(chartBean); 
		dataSource.update(); 
		dataSource.start(); 
	} 

	public static void main (String[] args) { 
		SerializedBeanFrame me = new SerializedBeanFrame(); 
		me.setVisible(true); 
	} 

	private ChartBean newChart(String fileName){ 
		ChartBean bean = null; 

		InputStream is = this.getClass().getResourceAsStream(fileName); 
		if (is == null) { 
			System.err.println("no chart data at " + fileName);
		} 
		try { 
			ObjectInputStream ois = new ObjectInputStream(is); 
			bean = (ChartBean) ois.readObject(); 
		} catch (Exception ex) { 
			System.err.println("trouble reading: "+ex); 
		} 
		return bean; 
	} 

}
