import java.io.*; 
import java.awt.*; 
import com.ve.kavachart.beans.chart.*; 
import com.ve.kavachart.beans.data.*; 

public class SerializedSineFrame extends Frame {

	ChartBean chartBean1, chartBean2; 

	public SerializedSineFrame(){ 
		setLayout(new GridLayout(1,2)); 

		//read the first chart from data 
		chartBean1 = newChart("graph.ser"); 
		add(chartBean1);
 
		//create the second chart directly 
		chartBean2 = new LineChart(); 
		add(chartBean2); 

		//add our data feed 
		SineWaveGenerator swg = new SineWaveGenerator(); 
		swg.addListener(chartBean1); 
		swg.addListener(chartBean2); 
		swg.start(); 
	} 

	public static void main (String[] args) { 
		SerializedSineFrame me = new SerializedSineFrame();
                me.setSize(500,300);
		me.setVisible(true); 
	} 

	//stuff to read serialized data 
	private ChartBean newChart(String fileName){ 
		ChartBean bean = null; 
		InputStream is = this.getClass().getResourceAsStream(fileName); 
		if (is == null) { 
			System.err.println("Could not locate the chart data at " 
							   + fileName); 
		} 
		try { 
			ObjectInputStream ois = new ObjectInputStream(is); 
			bean = (ChartBean) ois.readObject(); 
		} catch (Exception ex) { 
			System.err.println("trouble reading from serialized data: "+ex); 
		} 
		return bean; 
	} 

}
