import com.ve.kavachart.beans.data.*; 

public class SimpleSineWaveDataFeed extends SimpleDataFeed 
	implements Runnable { 

	Thread myThread = null; 
	int lastCount = 0; 
	static int WINDOW_SIZE = 20; 

	public SimpleSineWaveDataFeed(){ 

		xArray = new double[2][]; 
		yArray = new double[2][]; 
		xArray[0] = new double[WINDOW_SIZE]; 
		xArray[1] = new double[WINDOW_SIZE]; 
		yArray[0] = new double[WINDOW_SIZE]; 
		yArray[1] = new double[WINDOW_SIZE]; 
	} 

	public void run(){ 
		while(myThread!=null){ 
			generateData(); 
			try{ 
				Thread.sleep(1000); 
			}catch(Exception ignored){ 
			} 
		} 
	} 

	public void start(){ 
		if(myThread==null){ 
			myThread = new Thread(this); 
			myThread.start(); 
		} 
	} 

	public void stop(){ 
		if(myThread!=null){ 
			myThread = null; 
		} 
	} 

	void generateData(){ 
		for(int i=0;i<xArray[0].length;i++){ 
			double val = (double)(i+lastCount); 
			xArray[0][i] = val; 
			xArray[1][i] = val; 
			yArray[0][i] = Math.sin(val/WINDOW_SIZE); 
			yArray[1][i] = Math.cos(val/WINDOW_SIZE); 
		}
		lastCount = lastCount + WINDOW_SIZE; 
		updateDatasets(); 
		update(); 
	} 
}
