import com.ve.kavachart.beans.data.*; 
import com.ve.kavachart.chart.*; 
import java.util.*; 

public class SineWaveGenerator implements Runnable { 

	static int WINDOW_SIZE = 20; 
	Vector listeners = new Vector(); 
	Dataset set1 = new Dataset(); 
	Dataset set2 = new Dataset(); 
	DataEvent myEvent = null; 
	Thread myThread = null; 

	double lastCount = 0.; 

	public void addListener(DataFeedListener l){ 
		listeners.addElement(l); 
	} 

	public void removeListener(DataFeedListener l){ 
		listeners.removeElement(l); 
	} 

	private void update(DataEvent event){ 
		for(int i=0;i<listeners.size();i++){ 
			((DataFeedListener)listeners.elementAt(i)).newData(event); 
		} 
	} 

	public void run(){ 
		while(myThread!=null){ 
			generateData(); 
			try{ 
				Thread.sleep(1000); 
			}catch(Exception ignored){ 
			} 
		} 
	} 

	public void start(){ 
		if(myThread==null){ 
			myThread = new Thread(this); 
			myThread.start(); 
		} 
	} 

	public void stop(){ 
		if(myThread!=null){ 
			myThread = null; 
		} 
	} 

	void generateData(){ 
		//do this the first time through 
		if(myEvent == null){ 
			//we want X and Y data, and dataset names
			myEvent = new DataEvent(this, 
									DataEvent.X_DATA_MASK| 
									DataEvent.Y_DATA_MASK| 
									DataEvent.SET_NAMES_MASK); 
			//provide some names for the data: 
			set1.setName("sine wave"); 
			set2.setName("cosine wave"); 
			myEvent.datasetArray[0] = set1; 
			myEvent.datasetArray[1] = set2; 
			for(double i=lastCount;i<lastCount+WINDOW_SIZE;i++){ 
				Datum d = new Datum((double)i, 
									Math.sin(i/WINDOW_SIZE), null); 
				set1.getData().addElement(d); 
				d = new Datum((double)i, 
							  Math.cos(i/WINDOW_SIZE), null); 
				set2.getData().addElement(d); 
			} 
			lastCount = lastCount + WINDOW_SIZE; 
			update(myEvent); 
			return; 
		} 

		//after that, just recycle data 
		Datum d = set1.getDataElementAt(0); 
		set1.getData().removeElementAt(0); 
		d.setX(lastCount); 
		d.setY(Math.sin(lastCount/WINDOW_SIZE)); 
		set1.getData().addElement(d); 
		d = set2.getDataElementAt(0);  
		set2.getData().removeElementAt(0); 
		d.setX(lastCount); 
		d.setY(Math.cos(lastCount/WINDOW_SIZE)); 
		set2.getData().addElement(d); 
		lastCount+= 1.0; 
		update(myEvent); 
		return; 
	}
}
