<?

define("KC_IMAGE_OUTPUT", 0);
define("KC_FLASH_OUTPUT", 1);
define("KC_SVG_OUTPUT", 2);

define("KC_LOCALE_STRING", "ls");
define("KC_STYLE_STRING", "ss");
define("KC_RESOURCE_BUNDLE_BASE_NAME", "rb");
define("KC_CHART_TYPE", "ct");
define("KC_NEWLINE", "\n");


Class Chart {

	var $imgHost = 'www.kavachart.com';
	var $servletName = '/KavaChartStream';
	var $imgPrefix = '<IMG SRC="http://';
	var $imgArg = '?sn=';
	var $imgSuffix = '" BORDER="0" ALT="">';
	var $outputType = KC_IMAGE_OUTPUT;

	//optional vars for flash output
	var $width = 300;
	var $height = 150;
	var $mapName = 'map0';

	//-----------------------------------------------

	
	var $properties = array();

	function getImageString($s){
		$location = $this->imgHost.$this->servletName.$this->imgArg.$s;
		if($this->outputType==KC_IMAGE_OUTPUT){
			return $this->imgPrefix.$location.$this->imgSuffix;
		}else if($this->outputType==KC_FLASH_OUTPUT){
			return $this->getFlashString($this->height, $this->width, 'http://'.$location);
		} else if($this->outputType==KC_SVG_OUTPUT){
			return $this->getSVGString($this->width, $this->height, 'http://'.$location);
		}
	}

	function getCachedImageString($s){
		$location = $this->imgHost.$this->servletName.$this->imgArg.$s;
		$location = $location . '&im=true';
		$map = '" USEMAP="#' . $this->mapName;
		return $this->imgPrefix.$location.$map.$this->imgSuffix;
	}

	function getLinkmapString($s){
		$location = $this->imgHost.$this->servletName.$this->imgArg.$s;
		$location = 'http://' . $location . '&map=true';
		readfile($location);
	}


	function getFlashString($height, $width, $location){
	$s = 
	"<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" \n" .
	"		codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0\" width=\"" . 
	$width . "\" height=\"" . 
	$height . "\" id=\"movie\">\n" .
	"	<param name=\"movie\" value=\"" . 
	$location . "\">\n" .
	"	<embed src=\"" . 
	$location . "\" quality=\"high\" width=\"" . 
	$width . "\" height=\"" . 
	$height . "\" name=\"movie\" \n" .
	"		align=\"\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\"> \n" .
	"</object>\n\n";
	return $s;
	}

	function getSVGString($width, $height, $source){
		$s = "\t<embed width=\"".$width. "\" height=\"".$height."\"\n".
		"\t\ttype=\"image/svg-xml\"\n".
		"\t\tsrc=\"".$source."\"\n".
		"\t</embed>\n";
		return $s;
	}

	function setProperty($name, $value){
		$this->properties[] = $name.KC_NEWLINE.$value;
		if($name=='imageType'){
			if($value=='flash'||$value=='swf'){
				$this->outputType = KC_FLASH_OUTPUT;
			}else if($value=='svg'){
				$this->outputType = KC_SVG_OUTPUT;
			}
		}else if($name=='width'){
			$this->width = $value;
		}else if($name=='height'){
			$this->height = $value;
		}else if($name=='mapName'){
			$this->mapName = $value;
		}
	}

	function setStyle($s){
		$this->setProperty(KC_STYLE_STRING, $s);
	}

	function setChartType($s){
		$this->setProperty(KC_CHART_TYPE, $s);
	}

	function setLocale($s){
		$this->setProperty(KC_LOCALE_STRING, $s);
	}

	function setResourceBundle($s){
		$this->setProperty(KC_RESOURCE_BUNDLE_BASE_NAME, $s);
	}

	function getImage(){
		for($i=0;$i<count($this->properties);$i++){
			$s = $s.KC_NEWLINE.$this->properties[$i];
		}
		$s = gzencode($s);
		$s = base64_encode($s);
		$s = urlencode($s);
		return $this->getImageString($s);
	}

	function getImageAndLinkmap(){
		for($i=0;$i<count($this->properties);$i++){
			$s = $s.KC_NEWLINE.$this->properties[$i];
		}
		$s = gzencode($s);
		$s = base64_encode($s);
		$s = urlencode($s);
		$linkString = $this->getLinkmapString($s);
		$imgString = $this->getCachedImageString($s);
		return $linkString . $imgString;
	}
}


?>
