<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<html>
<head>
<title>KavaChart Area Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<p>
The KavaChart ProServe Area Chart "areaApp".
<P>
Area charts are ideal for showing trends, especially trends that 
consolidate two or more variables.  "areaApp" doesn't really use 
X values, laying out the observations evenly across the X axis, 
with one label at each observation.  This is convenient for constructing 
charts that have regular periods.
<p>
Use the source code to this page as a guide in creating your own area charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank">
ChartWizard</a>
to design your own area charts.
<hr>
<table border=0 cellpadding="15"><tr><td valign=top>
This chart uses a simple chart definiton to describe
revenue trends for four months.  In production, this chart's data parameters
would likely be created by a database connection. In our sample, we just defined some
String variables.  Change them and your chart will change.
<p>
Placing your mouse over a region in the chart will show what the actual data
values are for that period's ski or snowboard rentals.  The format of
the numbers is defined using the "dwell" properties.
<p>
A reference line at "400000" describes a break-even point.  Because an area
chart stacks values, we can see that our breakeven amount was exceded in every
month but March.
<%
	String ski = "321000,432000,123000,234000";
	String snowboard = "123000,432000,212000,345000";
%>
</td><td>
<chart:streamed chartType="areaApp" >
	<chart:param name="width" value="480" />
	<chart:param name="height" value="320" />
	<chart:param name="titleString" value="Rental Income, 4 Months" />
	<chart:param name="subTitleString" value="Current Year - All Resorts" />

	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr" />
	<chart:param name="dataset0yValues" value="<%=snowboard%>" />
	<chart:param name="dataset0Name" value="Snowboard Rentals" />
	<chart:param name="dataset1yValues" value="<%=ski%>" />
	<chart:param name="dataset1Name" value="Ski Rentals" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Monthly Total: $XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
	<chart:param name="yAxisThresholdLine0Value" value="400000" />
	<chart:param name="yAxisThresholdLine0LabelString" value="Breakeven" />
	<chart:param name="yAxisOptions" value="currencyLabels" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaLeft" value="0.2" />
	<chart:param name="plotAreaBottom" value="0.17" />
	<chart:param name="plotAreaTop" value="0.83" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0 cellpadding="15"><tr><td valign=top><tr><td>
<chart:streamed chartType="areaApp" >
	<chart:datawebservice serviceURL="http://www.kavachart.com/dat.xml" /> 
	<chart:param name="width" value="320" />
	<chart:param name="height" value="220" />

	<chart:param name="titleString" value="XML Chart Data" />
	<chart:param name="titleFont" value="Arial,20,0" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Amount in Thousands" />
	<chart:param name="yAxisOptions" value="gridOn, tickOff, rotateTitle" />
	<chart:param name="dataset0Name" value="widgets" />
	<chart:param name="dataset1Name" value="gadgets" />
	<chart:param name="dataset2Name" value="gizmos" />

	<chart:param name="legendOn" value="yes" />

	<chart:param name="3D" value="yes" />
	<chart:param name="xDepth" value="8" />
	<chart:param name="yDepth" value="8" />

	<chart:param name="colorPalette" value="presentation_deep" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Monthly Total: $XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed>
</td><td valign=top>
<p>
This chart is similar to the previous one, except that it reads XML data from a web service at kavachart.com
If you can put your data into XML, it's a simple matter to turn it into a chart.
<p>
We also spruced this chart up a little by setting a default color palette, "presentation_deep".
We also added a Y axis grid, and a Y axis title with the yAxisOptions property.
</td></tr></table>

<hr>
<table border=0 cellpadding="15"><tr><td valign=top>
<p>
Using the same data, we can "un-stack" the areas and apply a baseline value.  Let's say our
breakeven number is 200, and we want to see when we're above water and below water for each of
our series.
<p>
Since the data can hide data in the back, we'll make the colors slightly transparent so we can see
what's happening in the back area.
</td><td valign=top>
<chart:streamed chartType="areaApp" >
	<chart:datawebservice serviceURL="http://www.kavachart.com/dat.xml" /> 
	<chart:param name="width" value="320" />
	<chart:param name="height" value="220" />

	<!--------------style changes here------------->
	<chart:param name="stackAreas" value="false" />
	<chart:param name="baseline" value="200" />
	<chart:param name="dataset0Color" value="8000ff00" />
	<chart:param name="dataset1Color" value="800000ff" />

	<chart:param name="titleString" value="Un-Stacked Transparent Areas" />
	<chart:param name="titleFont" value="Arial,20,0" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Amount in Thousands" />
	<chart:param name="yAxisOptions" value="gridOn, tickOff, rotateTitle" />
	<chart:param name="dataset0Name" value="widgets" />
	<chart:param name="dataset1Name" value="gadgets" />
	<chart:param name="dataset2Name" value="gizmos" />

	<chart:param name="legendOn" value="yes" />

	<chart:param name="xDepth" value="8" />
	<chart:param name="yDepth" value="8" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Monthly Total: $XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed>
</td></tr></table>

<hr>
<table border=0 cellpadding="15"><tr><td valign=top>
<chart:streamed chartType="areaApp" >
	<chart:datawebservice serviceURL="http://www.kavachart.com/dat.xml" /> 
	<chart:param name="width" value="320" />
	<chart:param name="height" value="220" />

	<!--------------style changes here------------->
	<chart:param name="stackAreas" value="false" />
	<chart:param name="dataset0Color" value="8000ff00" />
	<chart:param name="dataset1Color" value="800000ff" />
	<chart:param name="3D" value="true" />

	<chart:param name="titleString" value="Layered Transparent Areas" />
	<chart:param name="titleFont" value="Arial,20,0" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Amount in Thousands" />
	<chart:param name="yAxisOptions" value="gridOn, tickOff, rotateTitle" />
	<chart:param name="dataset0Name" value="widgets" />
	<chart:param name="dataset1Name" value="gadgets" />
	<chart:param name="dataset2Name" value="gizmos" />

	<chart:param name="legendOn" value="yes" />

	<chart:param name="xDepth" value="20" />
	<chart:param name="yDepth" value="15" />
	<chart:param name="plotAreaColor" value="transparent" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Monthly Total: $XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed>
</td><td valign=top>
<p>
Using transparency, we can also "layer" our areas.  This makes a nice looking chart, but it isn't as
informative, since the front areas obscure those in the back.
</td></tr></table>

