<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<html>
<head>
<title>KavaChart Bar Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body>
<P>
Bar charts are ideal for comparing categories or discrete events against a common
scale.  In KavaChart, bar charts with vertical bars are called "column" charts, 
while those with horizontal bars are called "bar" charts.
<p>
Bar charts are particularly good at highlighting the differences between items.
If you need to show trends, a line chart or area chart variant might be a better
choice.
<p>
KavaChart ProServe includes these bar chart styles:
<ul>
<li>barApp
<li>columnApp
<li>stackBarApp
<li>stackColumnApp
</ul>
<p>
This page uses chart tags with in-line properties, rather than external style sheets.  While this probably
isn't an optimal coding style, you can see how we're creating these charts by simply looking at the JSP
source code.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank">
ChartWizard</a>
to design your own bar charts.
<hr>
<table border=0><tr><td valign=top>
This chart definiton illustrates at a glance what the makeup of a youth swim team
looks like for several years.  In addition to comparing the total size of the team,
the chart illustrates the team composition by gender.  
<p>
A chart like this is a "stacked bar" chart, because the dataset values are stacked,
and the bars are horizontal.  The chart type is "stackBarApp".
<p>
Placing your mouse over a bar in the chart will show what the actual data
values are for that item.  The format of the numbers is defined using a chart style property.
<p>
An image background makes the chart more interesting.  Images can be used for
any filled chart object: backgrounds, plotareas, even bars.  It's usually a good idea to use a muted
image to avoid distracting from the chart's data message.
</td><td valign=top>
<chart:streamed chartType="stackBarApp" >
  <chart:param name="width" value="442"/>
  <chart:param name="height" value="295"/>
  <chart:param name="titleString" value="Briarhill Summer Swim Program" />
  <chart:param name="titleColor" value="white" />
  <chart:param name="titleFont" value="Helvetica,20,0" />
  <chart:param name="subTitleString" value="Recreational League 5-15 Year Old" />
  <chart:param name="subTitleColor" value="white" />
  <chart:param name="defaultFont" value="Helvetica,14,0" />
  <chart:param name="legendOn" value="yes" />
  <chart:param name="backgroundImage" value="<%=application.getRealPath("/examples/samples/images/kid.jpg")%>" />
  <chart:param name="backgroundTexture" value="-1" />
  <chart:param name="plotAreaColor" value="transparent" />
  <chart:param name="yAxisColor" value="blue" />
  <chart:param name="xAxisColor" value="blue" />
  <chart:param name="yAxisLabelColor" value="white" />
  <chart:param name="xAxisLabelColor" value="white" />
  <chart:param name="xAxisOptions" value="gridOn,tickOff" />
  <chart:param name="yAxisOptions" value="gridOn,tickOff" />
  <chart:param name="yAxisTitle" value="Total Swimmers" />
  <chart:param name="yAxisTitleColor" value="white" />
  <chart:param name="dataset0Name" value="Boys" />
  <chart:param name="dataset1Name" value="Girls" />
  <chart:param name="dataset0Color" value="6666ff" />
  <chart:param name="dataset1Color" value="ff44ff" />
  <chart:param name="legendColor" value="transparent" />
  <chart:param name="legendLabelColor" value="white" />
  <chart:param name="iconWidth" value="0.02" />
  <chart:param name="iconHeight" value="0.03" />
  <chart:param name="barClusterWidth" value="0.5" />
  <chart:param name="dwellUseDatasetName" value="true" />
  <chart:param name="dwellUseXValue" value="false" />
  <chart:param name="dwellYString" value="XX registered swimmers" />
  <chart:param name="3D" value="true" />
  <chart:param name="xDepth" value="3" />
  <chart:param name="yDepth" value="2" />
  <chart:param name="xAxisLabels" value="2003,2004,2005,2006" />
  <chart:param name="dataset0yValues" value="56,53,62,57" />
  <chart:param name="dataset1yValues" value="50,54,58,73" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<chart:streamed  chartType="columnApp" >
	<chart:param name="width" value="350" />
	<chart:param name="height" value="212" />
	<chart:param name="titleString" value="Batch Quality Deviation From Average" />
	<chart:param name="defaultFont" value="Arial,10,0" />
	<chart:param name="titleFont" value="Arial,14,0" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Percentage Deviation" />
	<chart:param name="yAxisOptions" value="gridOn, minTickOn, rotateTitle, percentLabels" />
	<chart:param name="dataset0Name" value="A#1728" />
	<chart:param name="dataset1Name" value="A#1729" />
	<chart:param name="dataset2Name" value="A#1730" />
	<chart:param name="dataset0yValues" value="1.00,-.25,.75,.63,-.46" />
	<chart:param name="dataset1yValues" value=".85,.45,.10,-.67,.10" />
	<chart:param name="dataset2yValues" value=".25,-.56,-.90,.10,.20" />

	<chart:param name="dataset0Color" value="000066" />
	<chart:param name="dataset1Color" value="ff9933" />
	<chart:param name="dataset2Color" value="6600cc" />

	<chart:param name="legendOn" value="yes" />
	<chart:param name="legendLlX" value="0.01" />
	<chart:param name="legendLlY" value="0.01" />
	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaLeft" value="0.17" />

	<chart:param name="iconWidth" value="0.02" />
	<chart:param name="iconHeight" value="0.04" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Value: XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed >
</td><td valign=top>
<p>
In this sample, we use a baseline value of 0 (the default) to show bars ascending and
descending from an expected value.  This gives us a side-by-side comparison of 3 different
series in 4 different months, and tells us at a glance what the status is for
a particular production line.
<p>
Y Axis Percentage labels automatically describe the values in a way appropriate for the page
viewer.  Tooltip labels give exact values for each bar.
<p>
Bar baselines can be set at any value.  This chart uses "columnApp", vertical bars that are
grouped instead of stacked.
</td></tr></table>
<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<p>
Sometimes the simplest chart is best.  This bar chart uses "columnApp" with the parameter
"individualColors" set to "true".  Individual colors make comparisons among bars of a single
dataset stand out.
<p>
For even more simplicity, we removed the Y axis except for the grid lines, and added a reference
line at the goal level.  This gives an additional level of information - at a glance you can
tell which stores exceeded the sales goal.
<p>
Any bar or column chart can have individual colors and any axis can have reference lines.
<p>
Since there's not enough room for the labels, the bottom axis automatically staggers them to prevent
overlap.
</td><td valign=top>
<chart:streamed  chartType="columnApp" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="260" />
	<chart:param name="titleString" value="Store Sales Summaries" />
	<chart:param name="subTitleString" value="August 2004 - October 2004" />
	<chart:param name="individualColors" value="true" />
	<chart:param name="dataset0yValues" value="2345,3245,1754,5345,2346,4352" />
	<chart:param name="dataset0Colors" value="e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67" />
	<chart:param name="xAxisLabels" value="San Jose, Palo Alto, Sunnyvale, Santa Clara, Cupertino, Mountain View" /> 
	<chart:param name="xAxisOptions" value="tickOff" />
	<chart:param name="yAxisOptions" value="gridOn,tickOff,labelsOff,lineOff,rightAxis" />
	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="$XX,000" />
	<chart:param name="yAxisThresholdLine0Value" value="4000" />
	<chart:param name="yAxisThresholdLine0Color" value="c7555a" />
	<chart:param name="yAxisThresholdLine0LabelString" value="Goal" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<p>
Bar/column charts can also be used for scientific work.  If you organize your
raw data into a histogram, a "columnApp" will display the histogram values
correctly.  Similarly, a Pareto chart can be created by sorting raw data.
See the tag library usage samples for some examples of using built-in data manipulation tags.
<p>
You can also add "error bars" to any bar chart by adding Y values to the chart.
Here's an example:
</td><td valign=top>
<chart:streamed  chartType="columnApp" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="260" />
	<chart:param name="titleString" value="Wafer Yield Data" />
	<chart:param name="colorPalette" value="web_newmexico" />
	<chart:param name="subTitleString" value="January 2005 - October 2005" />
	<chart:param name="individualColors" value="true" />
	<chart:param name="dataset0yValues" value="2345,3245,1754,5345,2346,4352" />
	<chart:param name="errorBars" value="true" />
	<chart:param name="dataset0y2Values" value="123,98,233,421,100,200" />
	<chart:param name="dataset0LineColor" value="black" />
	<chart:param name="dataset0Labels" value="P1,P2,A6,A9,B3,B7" />
	<chart:param name="dataset0xValues" value="0,1,2,3,4,5" />
	<chart:param name="xAxisOptions" value="tickOff" />
	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellUseY2Value" value="true" />
	<chart:param name="dwellY2String" value="Range:XX" />
	<chart:param name="dwellYString" value="Value:XX" />
</chart:streamed>
</td></tr>
</table>
<hr>
<p>
The last two charts use bars that are partially transparent to provide an interesting visual effect.
You can define any color to be partially transparent with ARGB hex numbers.  This format looks like this:
<pre>
aarrggbb
</pre>
Where the "aa" is a hexadecimal number ranging from 00 (fully transparent) to ff (fully opaque), and "rr" is the red component,
ranging from 00 to ff, gg is the green component, and bb is the blue component.
<p>
The second chart also uses a type of 3-d layering that looks interesting, but should be used with caution, as it tends to
obscure your data.
<chart:streamed  chartType="columnApp" >
	<chart:param name="width" value="260" />
	<chart:param name="height" value="260" />
	<chart:param name="dataset0yValues" value="132,323,542,321" />
	<chart:param name="dataset1yValues" value="432,123,434,456" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="dataset0Color" value="a0ffaaaa" />
	<chart:param name="dataset1Color" value="a0aaaaff" />
	<chart:param name="3D" value="true" />
	<chart:param name="yAxisOptions" value="gridOn" />
</chart:streamed>
<chart:streamed  chartType="columnApp" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="260" />
	<chart:param name="dataset0yValues" value="132,323,542,321" />
	<chart:param name="dataset1yValues" value="432,123,434,456" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="dataset0Color" value="a0ffaaaa" />
	<chart:param name="dataset1Color" value="ccaaaaff" />
	<chart:param name="3D" value="true" />
	<chart:param name="layered" value="true" />
	<chart:param name="yDepth" value="30" />
	<chart:param name="xDepth" value="30" />
	<chart:param name="yAxisOptions" value="gridOn, rightAxis" />
</chart:streamed>
<hr>
</body>
</html>
