<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Combination Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<font face="Arial,Helvetica">
<P>
Combination charts let you mix various charting types on the same
axes.  For example, you might want to superimpose a trend line over a set of bars
or place an area under a set of bars.
<p>
KavaChart ProServe's basic combination charts:
<ul>
<li>barAreaApp
<li>barLineApp
<li>lineAreaApp
</ul>
<p>
This page has several combination charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank">
ChartWizard</a> to design your own combination charts.
<hr>
<table border=0 cellpadding=10>
<tr>
<td valign=top>
<p>
When combining areas and bars, the area indicator should be used for trend oriented data,
while the bars should represent discrete observations.  The difference between
the two data types visually implies some difference in the type of data you're viewing.
<p>
In this chart, we're combining information average energy consumption with data about
actual energy consumption.  Since the average data is "background" information, we
put that into an area chart, which shows the average trend for these months.  Above
that we show actual energy consumption for two locations.
<p>
Since this type of chart uses a single Y axis, it's important to compare items that
have the same scale.  If you need to compare items with different scales, you should
use one of the "twinAxis" applets from the specialty collection instead.
<p>
Properties for this chart let us change the bar baseline, the bar widths, whether the
bars should be stacked or not, and whether the bars should display individual
colors.
</td>
<td valign=top>
<chart:streamed chartType="barAreaApp" >
	<chart:param name="width" value="350" />
	<chart:param name="height" value="212" />
	<chart:param name="titleString" value="Energy Consumption vs. Avg." />
	<chart:param name="defaultFont" value="Arial,10,0" />
	<chart:param name="titleFont" value="Arial,14,0" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Megawatts Consumed" />
	<chart:param name="yAxisOptions" value="gridOn, minTickOn, rotateTitle" />

	<chart:param name="dataset0name" value="Dublin Energy" />
	<chart:param name="dataset1name" value="Average Energy" />
	<chart:param name="dataset2name" value="San Ramon Energy" />

	<chart:param name="dataset0yValues" value="234,543,456,543,234" />
	<chart:param name="dataset1yValues" value="432,345,654,756,765" />
	<chart:param name="dataset2yValues" value="432,123,345,654,234" />

	<chart:param name="dataset0Type" value="Bar" />
	<chart:param name="dataset1Type" value="Area" />
	<chart:param name="dataset2Type" value="Bar" />

	<chart:param name="legendOn" value="yes" />
	<chart:param name="legendLlX" value="0.01" />
	<chart:param name="legendLlY" value="0.01" />
	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaLeft" value="0.17" />

	<chart:param name="iconWidth" value="0.02" />
	<chart:param name="iconHeight" value="0.04" />

	<chart:param name="outlineColor" value="CCCCCC" />
	<chart:param name="outlineLegend" value="false" />
	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Value: XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0 cellpadding=10>
<tr>
<td valign=top>
<chart:streamed chartType="barLineApp" >
	<chart:param name="width" value="350" />
	<chart:param name="height" value="212" />
	<chart:param name="titleString" value="Energy Consumption vs. Avg." />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Megawatts Consumed" />
	<chart:param name="yAxisOptions" value="gridOn, minTickOn, rotateTitle" />

	<chart:param name="dataset0name" value="Dublin Energy" />
	<chart:param name="dataset1name" value="Average Energy" />
	<chart:param name="dataset2name" value="San Ramon Energy" />
	<chart:param name="dataset0LineWidth" value="3" />
	<chart:param name="dataset2LineWidth" value="3" />
	<chart:param name="antialiasOn" value="true" />

	<chart:param name="dataset0Color" value="black" />

	<chart:param name="dataset0yValues" value="234,543,456,543,234" />
	<chart:param name="dataset1yValues" value="432,345,654,756,765" />
	<chart:param name="dataset2yValues" value="432,123,345,654,234" />

	<chart:param name="dataset0Type" value="Line" />
	<chart:param name="dataset1Type" value="Bar" />
	<chart:param name="dataset2Type" value="Line" />

	<chart:param name="dataset0MarkerStyle" value="2" />
	<chart:param name="dataset2MarkerStyle" value="2" />

	<chart:param name="colorPalette" value="web_newmexico" />

	<chart:param name="legendOn" value="true" />
	<chart:param name="legendLlX" value="0.01" />
	<chart:param name="legendLlY" value="0.01" />

	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaTop" value="0.85" />
	<chart:param name="plotAreaLeft" value="0.15" />
	<chart:param name="plotAreaBottom" value="0.25" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Value: XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed>
</td>
<td valign="top">
<p>
This chart uses the same data, but applies them to a bar-line combination chart.  
This chart tends to emphasizes the line values, since they're shown above the bars.
<p>
This chart style gives much more emphasis to the average values, so we might want to 
use a softer color to de-emphasize the averages.  At the same time, this chart gives
a visual cue that the actual monthly energy data is some kind of trend because the
items are connected by a line.
<p>
If, in fact, we're not looking at some kind of trend, this chart could be more confusing
than clarifying.
</td>
</tr></table>
<hr>
<table border=0 cellpadding=10>
<tr>
<td valign=top>
<p>
By changing a few of the chart's style attributes we can shift the focus from the
averages to the discrete points.
<p>
This chart fades the bars to a very pale color, and emphasizes the individual points 
by using extra large markers.  We might even want to use custom image markers
to further emphasize the points, and even make the lines transparent in color.
<p>
The tooltip labels give further reinforcement by including the dataset name
with the rest of the dwell label.
</td>
<td valign=top>
<chart:streamed chartType="barLineApp" >
	<chart:param name="width" value="350" />
	<chart:param name="height" value="212" />
	<chart:param name="titleString" value="Energy Consumption vs. Avg." />
	<chart:param name="defaultFont" value="Arial,10,0" />
	<chart:param name="titleFont" value="Arial,14,0" />
	<chart:param name="xAxisLabels" value="Jan,Feb,Mar,Apr,May" />
	<chart:param name="yAxisTitle" value="Megawatts Consumed" />
	<chart:param name="yAxisOptions" value="gridOn, minTickOn, rotateTitle" />

	<chart:param name="dataset0name" value="Dublin Energy" />
	<chart:param name="dataset1name" value="Average Energy" />
	<chart:param name="dataset2name" value="San Ramon Energy" />

	<chart:param name="dataset0yValues" value="234,543,456,543,234" />
	<chart:param name="dataset1yValues" value="432,345,654,756,765" />
	<chart:param name="dataset2yValues" value="432,123,345,654,234" />

	<chart:param name="dataset0Type" value="Line" />
	<chart:param name="dataset1Type" value="Bar" />
	<chart:param name="dataset2Type" value="Line" />

	<chart:param name="dataset0LineWidth" value="2" />
	<chart:param name="dataset2LineWidth" value="2" />
	<chart:param name="dataset0MarkerStyle" value="2" />
	<chart:param name="dataset2MarkerStyle" value="2" />
	<chart:param name="dataset0MarkerSize" value="15" />
	<chart:param name="dataset2MarkerSize" value="15" />

	<chart:param name="dataset0Color" value="000066" />
	<chart:param name="yAxisGridColor" value="lightGray" />
	<chart:param name="dataset1Color" value="ededff" />
	<chart:param name="dataset2Color" value="6600cc" />

	<chart:param name="legendOn" value="yes" />
	<chart:param name="legendLlX" value="0.01" />
	<chart:param name="legendLlY" value="0.01" />
	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaLeft" value="0.17" />

	<chart:param name="iconWidth" value="0.02" />
	<chart:param name="iconHeight" value="0.04" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellYString" value="Value: XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td></tr></table>
