<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Candlestick Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<p>
KavaChart ProServe's collection includes the following simple finance charts:
<ul>
<li>candlestickApp
<li>hLOCApp
<li>hiLoCloseApp
<li>stickApp
<li>finComboApp
<li>sectorMapApp
</ul>
KavaChart Enterprise adds specialty charts from the "kcfinance" package for 
highly customized solutions, and also includes a number of "contrib" charts
that create finance-specific combinations that can be zoomed interactively.
<p>
Visual Engineering's consulting group has also created customized finance charting 
applications with full technical analysis, either in interactive Java applets or
server-side charting.  Contact us at <a href="mailto:consulting@ve.com">consulting@ve.com</a>
for more information about how we can save you time and money building a completely customized
financial charting solution.
<P>
Candlestick charts are used in finance applications to combine a lot of information
at a glance.  The top and bottom "whiskers" on the candlestick show the high and
low value for the day.  The open and close values are shown by the center box.  
Depending on whether the box is solid or hollow, you can tell at a glance whether the
opening price was higher or lower than the closing price.
<hr>
<table border=0 cellpadding=10><tr><td valign=top>
This chart uses a simple set of params to create a readable and professional style.
Data comes from special params used by candlesticks and OHLC: dataset0HighValues,
dataset0LowValues, dataset0OpenValues, and dataset0CloseValues.
<p>
You can also read your data from a URL or file, using the "customDatasetHandler"
param.  The file or stream at this location should contain 5 columns: dates,
high, low, open, and close values.
<p>
Date values are defined with a timestamp string.  Use "inputDateFormat" to describe
the format of the string to the server object.  In this sample, we're using "yyyy-MM-dd", which
is appropriate for our dates, which look like this: "1999-06-01".
<p>
Although the data in this sample is fixed, you will probably use a database or web service
to provide your data.  See our tag library and scriptlet coding examples to see how to do this.
</td><td valign=top>
<chart:streamed chartType="candlestickApp" >
	<chart:param name="width" value="450" />
	<chart:param name="height" value="250" />
	<chart:param name="dwellYString" value="Close Price:$XX" />
	<chart:param name="titleFont" value="Serif,17,0" />
	<chart:param name="titleX" value="0.11" />
	<chart:param name="titleY" value="0.9" />
	<chart:param name="titleString" value="General Motors Price History" />
	<chart:param name="yAxisOptions" value="gridOn,minTickOnleftAxis," />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis," />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0highValues" value="69.85,70.89,66.53,66.47,70.84,75.21,78.57,85.21,86.58,88.12,94.63,94.06,71,63.38,73.94,76.62,68.25,63.75,54.62,57.12,58.25,59.7,57.86,58.3,64.89,67.8,65,55.93,45.83,50.17,53.22,51.16,55.8,62.01,66.43,68.17,63.1,54.08,50.05,47.51,41.03,40.55,41.5,41.12,37.19,35.5,37.57,36.94,39.5,38.1,37.55" />
	<chart:param name="dataset0lowValues" value="59.76,59.08,58.72,60.24,59.87,66.65,69.31,70.31,72.62,73.88,79.25,69.31,57.25,56.94,57.25,64.94,54.5,48.44,48.69,50.81,50.8,50.25,50.2,54.04,56.7,61.38,53.5,39.17,40.52,40.69,46.82,47.92,48.07,53.2,58.75,62.15,50,40.5,41.08,38.11,30.8,33,35.77,35.82,32.69,29.75,33,32.84,34.94,35,36.11" />
	<chart:param name="dataset0openValues" value="68.01,65.87,60.06,65.97,61.78,68.81,71.55,72.54,79.62,74.75,82.88,93.62,70.37,58.31,57.44,72.88,65.38,62.12,49.5,50.94,53.8,53.33,51.92,54.95,56.91,64,63.95,54.03,42.51,41.32,48.5,48.75,51.2,53.2,60,64.47,62.5,53.3,46.4,47.5,39.05,33.25,40.7,37.55,36.65,33.78,33.62,36.05,35.78,35.61,37.11" />
	<chart:param name="dataset0closeValues" value="64.59,59.82,65.36,62.09,69.49,73.33,72.23,80.06,76.06,82.81,93.62,70.63,58.06,56.94,70,65,62.12,49.5,50.94,53.7,53.32,51.85,54.32,56.9,64.35,63.6,54.75,42.9,41.32,49.7,48.6,51.14,52.98,60.45,64.15,62.15,53.45,46.55,47.86,38.9,33.25,39.7,36.86,36.33,33.77,33.62,36.05,35.33,36,37.43,36.56" />
</chart:streamed>
</td></tr></table>
<hr>

<table border=0 cellpadding=10><tr><td valign=top>
<chart:streamed chartType="hLOCApp">
	<chart:param name="width" value="450" />
	<chart:param name="height" value="250" />
	<chart:param name="dwellYString" value="Close Price:$#" />
	<chart:param name="titleFont" value="Serif,17,0" />
	<chart:param name="titleX" value="0.11" />
	<chart:param name="titleY" value="0.9" />
	<chart:param name="titleString" value="General Motors Price History" />
	<chart:param name="yAxisOptions" value="gridOn,minTickOnleftAxis,logScaling" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis," />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0highValues" value="69.85,70.89,66.53,66.47,70.84,75.21,78.57,85.21,86.58,88.12,94.63,94.06,71,63.38,73.94,76.62,68.25,63.75,54.62,57.12,58.25,59.7,57.86,58.3,64.89,67.8,65,55.93,45.83,50.17,53.22,51.16,55.8,62.01,66.43,68.17,63.1,54.08,50.05,47.51,41.03,40.55,41.5,41.12,37.19,35.5,37.57,36.94,39.5,38.1,37.55" />
	<chart:param name="dataset0lowValues" value="59.76,59.08,58.72,60.24,59.87,66.65,69.31,70.31,72.62,73.88,79.25,69.31,57.25,56.94,57.25,64.94,54.5,48.44,48.69,50.81,50.8,50.25,50.2,54.04,56.7,61.38,53.5,39.17,40.52,40.69,46.82,47.92,48.07,53.2,58.75,62.15,50,40.5,41.08,38.11,30.8,33,35.77,35.82,32.69,29.75,33,32.84,34.94,35,36.11" />
	<chart:param name="dataset0openValues" value="68.01,65.87,60.06,65.97,61.78,68.81,71.55,72.54,79.62,74.75,82.88,93.62,70.37,58.31,57.44,72.88,65.38,62.12,49.5,50.94,53.8,53.33,51.92,54.95,56.91,64,63.95,54.03,42.51,41.32,48.5,48.75,51.2,53.2,60,64.47,62.5,53.3,46.4,47.5,39.05,33.25,40.7,37.55,36.65,33.78,33.62,36.05,35.78,35.61,37.11" />
	<chart:param name="dataset0closeValues" value="64.59,59.82,65.36,62.09,69.49,73.33,72.23,80.06,76.06,82.81,93.62,70.63,58.06,56.94,70,65,62.12,49.5,50.94,53.7,53.32,51.85,54.32,56.9,64.35,63.6,54.75,42.9,41.32,49.7,48.6,51.14,52.98,60.45,64.15,62.15,53.45,46.55,47.86,38.9,33.25,39.7,36.86,36.33,33.77,33.62,36.05,35.33,36,37.43,36.56" />
</chart:streamed>
</td><td valign=top>
<p>
Another variant of this type of chart is the OHLC chart, implemented with hLOCApp.
This chart uses a left and right whisker to indicate open and closing prices.  Some
technical traders like to use the various whisker positions to help them predict price
movements.
<p>
Like the candlestick chart, an OHLC chart provides a lot of information at a glance:
trends, specific period high-low-open-close price data, and volatility for a
particular period.
<p>
When examining these trends over a long period, a log axis is sometimes appropriate,
since investment values compound exponentially.  We used a logarithmic axis on this
chart, even though it's not really called for by the actual data.
</td></tr></table>


<hr>


<table border=0 cellpadding=10><tr><td valign=top>
<p>
Since you can combine several applets into a table, sometimes the most convenient
way to build a typical price/volume finance chart is to combine a couple of applets
into a table like this.
<p>
Any number of indicators can be combined into a series of charts with the same
style and scaling.
<p>
If you want to combine multiple indicators into the same chart window, use
KavaChart's kcfinance package or one of our combination charts.
</td><td valign=top>
<chart:streamed chartType="candlestickApp">
	<chart:param name="width" value="450" />
	<chart:param name="height" value="200" />
	<chart:param name="plotAreaLeft" value="0.23" />
	<chart:param name="plotAreaBottom" value="0.06" />
	<chart:param name="titleFont" value="Serif,17,0" />
	<chart:param name="titleX" value="0.11" />
	<chart:param name="titleY" value="0.9" />
	<chart:param name="titleString" value="General Motors Price History" />
	<chart:param name="yAxisOptions" value="gridOn,minTickOnleftAxis," />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis,labelsOff,tickOff" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0highValues" value="69.85,70.89,66.53,66.47,70.84,75.21,78.57,85.21,86.58,88.12,94.63,94.06,71,63.38,73.94,76.62,68.25,63.75,54.62,57.12,58.25,59.7,57.86,58.3,64.89,67.8,65,55.93,45.83,50.17,53.22,51.16,55.8,62.01,66.43,68.17,63.1,54.08,50.05,47.51,41.03,40.55,41.5,41.12,37.19,35.5,37.57,36.94,39.5,38.1,37.55" />
	<chart:param name="dataset0lowValues" value="59.76,59.08,58.72,60.24,59.87,66.65,69.31,70.31,72.62,73.88,79.25,69.31,57.25,56.94,57.25,64.94,54.5,48.44,48.69,50.81,50.8,50.25,50.2,54.04,56.7,61.38,53.5,39.17,40.52,40.69,46.82,47.92,48.07,53.2,58.75,62.15,50,40.5,41.08,38.11,30.8,33,35.77,35.82,32.69,29.75,33,32.84,34.94,35,36.11" />
	<chart:param name="dataset0openValues" value="68.01,65.87,60.06,65.97,61.78,68.81,71.55,72.54,79.62,74.75,82.88,93.62,70.37,58.31,57.44,72.88,65.38,62.12,49.5,50.94,53.8,53.33,51.92,54.95,56.91,64,63.95,54.03,42.51,41.32,48.5,48.75,51.2,53.2,60,64.47,62.5,53.3,46.4,47.5,39.05,33.25,40.7,37.55,36.65,33.78,33.62,36.05,35.78,35.61,37.11" />
	<chart:param name="dataset0closeValues" value="64.59,59.82,65.36,62.09,69.49,73.33,72.23,80.06,76.06,82.81,93.62,70.63,58.06,56.94,70,65,62.12,49.5,50.94,53.7,53.32,51.85,54.32,56.9,64.35,63.6,54.75,42.9,41.32,49.7,48.6,51.14,52.98,60.45,64.15,62.15,53.45,46.55,47.86,38.9,33.25,39.7,36.86,36.33,33.77,33.62,36.05,35.33,36,37.43,36.56" />
</chart:streamed>
<chart:streamed chartType="dateLineApp">
	<chart:param name="width" value="450" />
	<chart:param name="height" value="100" />
	<chart:param name="dataset0LineWidth" value="1" />
	<chart:param name="plotAreaTop" value=".95" />
	<chart:param name="plotAreaLeft" value="0.23" />
	<chart:param name="plotAreaBottom" value="0.23" />
	<chart:param name="yAxisOptions" value="gridOn,minTickOnleftAxis," />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis," />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dwellYString" value="Volume: #" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0yValues" value="2748581.0,2355314.0,2073931.0,1891785.0,2482966.0,2633409.0,2499686.0,4057225.0,4584447.0,3905665.0,6446636.0,1.3228045E7,5247720.0,2316730.0,2782033.0,2329840.0,2779672.0,3104390.0,3000455.0,3951280.0,3137347.0,3148118.0,2596015.0,2113659.0,2851361.0,2458342.0,2659408.0,3891946.0,2971430.0,2588009.0,3085250.0,3244352.0,5449583.0,6030355.0,4138000.0,3780409.0,5453615.0,6824286.0,4426922.0,5542035.0,8974291.0,6050060.0,4352645.0,5752489.0,5045594.0,6544223.0,5097895.0,5998742.0,8396338.0,6320640.0,8397400.0," />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0 ><tr><td valign=top>
<chart:streamed chartType="hLOCApp">
	<chart:param name="width" value="450" />
	<chart:param name="height" value="200" />
	<chart:param name="titleFont" value="Serif,17,0" />
	<chart:param name="titleColor" value="000000" />
	<chart:param name="titleX" value="0.11" />
	<chart:param name="titleY" value="0.9" />
	<chart:param name="titleString" value="General Motors Price History" />
	<chart:param name="plotAreaRight" value="0.91" />
	<chart:param name="plotAreaLeft" value="0.15" />
	<chart:param name="plotAreaTop" value="0.86" />
	<chart:param name="plotAreaBottom" value="0.06" />
	<chart:param name="plotAreaColor" value="white" />
	<chart:param name="dataset0Color" value="003399" />
	<chart:param name="yAxisOptions" value="gridOn,minTickOnleftAxis,logScaling,currencyLabels" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis,labelsOff,tickOff" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0highValues" value="69.85,70.89,66.53,66.47,70.84,75.21,78.57,85.21,86.58,88.12,94.63,94.06,71,63.38,73.94,76.62,68.25,63.75,54.62,57.12,58.25,59.7,57.86,58.3,64.89,67.8,65,55.93,45.83,50.17,53.22,51.16,55.8,62.01,66.43,68.17,63.1,54.08,50.05,47.51,41.03,40.55,41.5,41.12,37.19,35.5,37.57,36.94,39.5,38.1,37.55" />
	<chart:param name="dataset0lowValues" value="59.76,59.08,58.72,60.24,59.87,66.65,69.31,70.31,72.62,73.88,79.25,69.31,57.25,56.94,57.25,64.94,54.5,48.44,48.69,50.81,50.8,50.25,50.2,54.04,56.7,61.38,53.5,39.17,40.52,40.69,46.82,47.92,48.07,53.2,58.75,62.15,50,40.5,41.08,38.11,30.8,33,35.77,35.82,32.69,29.75,33,32.84,34.94,35,36.11" />
	<chart:param name="dataset0openValues" value="68.01,65.87,60.06,65.97,61.78,68.81,71.55,72.54,79.62,74.75,82.88,93.62,70.37,58.31,57.44,72.88,65.38,62.12,49.5,50.94,53.8,53.33,51.92,54.95,56.91,64,63.95,54.03,42.51,41.32,48.5,48.75,51.2,53.2,60,64.47,62.5,53.3,46.4,47.5,39.05,33.25,40.7,37.55,36.65,33.78,33.62,36.05,35.78,35.61,37.11" />
	<chart:param name="dataset0closeValues" value="64.59,59.82,65.36,62.09,69.49,73.33,72.23,80.06,76.06,82.81,93.62,70.63,58.06,56.94,70,65,62.12,49.5,50.94,53.7,53.32,51.85,54.32,56.9,64.35,63.6,54.75,42.9,41.32,49.7,48.6,51.14,52.98,60.45,64.15,62.15,53.45,46.55,47.86,38.9,33.25,39.7,36.86,36.33,33.77,33.62,36.05,35.33,36,37.43,36.56" />
	<chart:param name="yAxisThresholdLine0Value" value="50.0" />
	<chart:param name="yAxisThresholdLine0LabelString" value="Strike Price" />
</chart:streamed>
<chart:streamed chartType="stickApp" >
	<chart:param name="width" value="450" />
	<chart:param name="height" value="100" />
	<chart:param name="titleFont" value="Serif,17,0" />
	<chart:param name="titleColor" value="000000" />
	<chart:param name="titleX" value="0.11" />
	<chart:param name="titleY" value="0.9" />
	<chart:param name="plotAreaColor" value="ebe9e9" />
	<chart:param name="plotAreaRight" value="0.91" />
	<chart:param name="plotAreaLeft" value="0.15" />
	<chart:param name="plotAreaTop" value="0.95" />
	<chart:param name="plotAreaBottom" value="0.20" />
	<chart:param name="dataset0Color" value="003399" />
	<chart:param name="yAxisOptions" value="gridOn,minTickOnleftAxis," />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis," />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dwellYString" value="Volume: #" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0yValues" value="2748581.0,2355314.0,2073931.0,1891785.0,2482966.0,2633409.0,2499686.0,4057225.0,4584447.0,3905665.0,6446636.0,1.3228045E7,5247720.0,2316730.0,2782033.0,2329840.0,2779672.0,3104390.0,3000455.0,3951280.0,3137347.0,3148118.0,2596015.0,2113659.0,2851361.0,2458342.0,2659408.0,3891946.0,2971430.0,2588009.0,3085250.0,3244352.0,5449583.0,6030355.0,4138000.0,3780409.0,5453615.0,6824286.0,4426922.0,5542035.0,8974291.0,6050060.0,4352645.0,5752489.0,5045594.0,6544223.0,5097895.0,5998742.0,8396338.0,6320640.0,8397400.0," />
	<chart:param name="plotAreaColor" value="white" />
</chart:streamed>
</td>
<td valign=top>
<p>
For example, this combination uses KavaChart's OHLC applet, together with a variant of
bar charts called "stickApp" to create another typical finance chart style.
<p>
We also added a reference line on the price chart at $50, and changed the labels to 
currency labels using other applet params.
</td></tr></table>
<hr>
