<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Sectormap Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>
<font face="Arial,Helvetica" />
<P>
A Sector Map consists of colored rectangles grouped by dataset.  Each dataset
has rectangles of an area proportional with their Y values.  The color is based
on the X value.  This kind of chart is sometimes called a Treemap.
<p>
Use the source code to this page as a guide in creating your own sectormap charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
to design your own tree maps.
<hr>
<table border=0 cellpadding=10><tr><td valign=top>
<p>
While Sector Maps can be used for a variety of purposes, they're very handy for
reviewing a financial portfolio.  Each dataset can represent a market segment,
and each item within the dataset represents the value of a security in that segment.
The color represents the price change.
<p>
At a glance, you can see where your money is allocated, how your stocks are faring
right now, and whether an individual stock's performance is related to the entire
sector, or is some kind of anomaly.
<p>
You can also place hyperlinks on each rectangle that let users drill-down to additional
information.
<p>
We switched this image type to "Flash" with a property, but it can be produced in any
of ProServe's output formats.
</td><td valign=top>
<chart:streamed chartType="sectorMapApp" >
	<chart:param name="width" value="250" />
	<chart:param name="height" value="250" />
	<chart:param name="imageType" value="swf" />
	<chart:param name="titleString" value="Joe Schmo's Portfolio Now" />
	<chart:param name="colorPalette" value="presentation_browns" />
	<chart:param name="gradientColoring" value="true" />
	<chart:param name="baseValue" value="0.0" />
	<chart:param name="baseColor" value="white" />
	<chart:param name="dwellUseDatasetName" value="true" />
	<chart:param name="dwellXString" value="Change:$XX" />
	<chart:param name="dwellYString" value="Value:$XX" />
	<chart:param name="dwellXLabelPrecision" value="2" />
	<chart:param name="dwellYLabelPrecision" value="2" />
	<chart:param name="dwellUseLabelString" value="true" />

	<chart:param name="dataset0Name" value="Transportation" />
	<chart:param name="dataset0yValues" value="123,432,432,345,456" />
	<chart:param name="dataset0xValues" value="1,3,8,2,3" />
	<chart:param name="dataset0Labels" value="AMR, FedEx, UPS, Southwest, Yellow Freight" />

	<chart:param name="dataset1Name" value="Energy" />
	<chart:param name="dataset1yValues" value="99,85,120" />
	<chart:param name="dataset1xValues" value="1.2,0.8,0.6" />
	<chart:param name="dataset1Labels" value="Calpine, SoCal Edison, PG&E" />

	<chart:param name="dataset2Name" value="Technology" />
	<chart:param name="dataset2yValues" value="231,734,120" />
	<chart:param name="dataset2xValues" value="1.2,.2,1.5" />
	<chart:param name="dataset2Labels" value="Sun Microsystems, Cisco Systems, BEA" />

	<chart:param name="plotAreaBottom" value="0.01" />
	<chart:param name="plotAreaTop" value="0.90" />
	<chart:param name="plotAreaLeft" value="0.01" />
	<chart:param name="plotAreaRight" value="0.99" />

</chart:streamed>
</td></tr></table>
