<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Bubble Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>
<P>
Bubble charts are a convenient way to display 3 dimensions of data on a 2
dimensional chart.  Generally, these are discrete items, like securities or
products.
<p>
The "bubbleApp" object creates Bubble Charts.
<p>
Use the source code to this page as a guide in creating your own bubble charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
to design your own bubble charts.
<hr>
<table border=0 cellpadding=10><tr><td valign=top>
<p>
A simple bubble chart uses X and Y values to position the bubbles, and Y2 values
to set the size of the bubbles.  By default, the bubble circumferences is
scaled automatically.
<p>
This chart shows the sales of various products by the bubble size.   The X axis shows
the product price, and the Y axis shows the product cost.  The bubble size shows
the revenue from that product
<p>
Placing the mouse over each bubble gives detailed information about that item: total
quarterly revenues, item cost, and item retail price.
<p>
It's also a good idea to use semi-transparent colors for Bubble charts, so you can see
where there are overlaps.
</td><td valign=top>
<chart:streamed chartType="bubbleApp" >
	<chart:param name="antialiasOn" value="true" />
	<chart:param name="width" value="250" />
	<chart:param name="height" value="250" />

	<chart:param name="dataset0xValues" value="52,59,25,42.50,128,128" />
	<chart:param name="dataset0yValues" value="23,27,12,34,57,72" />
	<chart:param name="dataset0Labels" value="A001 seatpost,C695A shifter, A0012 cable set, J876A bearing set, J008C headset, J231A headset" />
	<chart:param name="dataset0y2Values" value="4322,3455,4398,4566,6754,2231" />

	<chart:param name="titleString" value="Part Vendor: Shimano" />
	<chart:param name="subTitleString" value="Q1 2003 Shop Sales" />

	<chart:param name="yAxisColor" value="gray" />
	<chart:param name="yAxisOptions" value="gridOn,rotateTitle,minTickOn" />
	<chart:param name="xAxisColor" value="gray" />
	<chart:param name="xAxisOptions" value="gridOn,minTickOn" />
	<chart:param name="xAxisTitleColor" value="gray" />
	<chart:param name="yAxisTitleColor" value="gray" />
	<chart:param name="xAxisTitle" value="Retail Price" />
	<chart:param name="yAxisTitle" value="Wholesale Cost" />

	<chart:param name="dwellUseY2Value" value="true" />
	<chart:param name="dwellXString" value="Price: $XX" />
	<chart:param name="dwellYString" value="Cost: $XX" />
	<chart:param name="dwellY2String" value="Q1 Revenue: $XX" />
	<chart:param name="dwellUseLabelString" value="true" />

	<chart:param name="dataset0Color" value="808d14b2" />

</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr><td valign=top>
<chart:streamed chartType="bubbleApp" >
	<chart:param name="antialiasOn" value="true" />
	<chart:param name="width" value="250" />
	<chart:param name="height" value="250" />
	<chart:param name="defaultFont" value="Arial,12,0" />

	<chart:param name="dataset0xValues" value="52,59,25,42.50,128,128" />
	<chart:param name="dataset0yValues" value="23,27,12,34,57,72" />
	<chart:param name="dataset0Labels" value="A001 seatpost,C695A shifter, A0012 cable set, J876A bearing set, J008C headset, J231A headset" />
	<chart:param name="dataset0y2Values" value="4322,3455,4398,4566,6754,2231" />

	<chart:param name="titleString" value="Part Vendor: Shimano" />
	<chart:param name="subTitleString" value="Q1 2003 Shop Sales" />

	<chart:param name="yAxisColor" value="gray" />
	<chart:param name="yAxisOptions" value="gridOn,rotateTitle,minTickOn" />
	<chart:param name="xAxisColor" value="gray" />
	<chart:param name="xAxisOptions" value="gridOn,minTickOn" />
	<chart:param name="xAxisTitleColor" value="gray" />
	<chart:param name="yAxisTitleColor" value="gray" />
	<chart:param name="xAxisTitle" value="Retail Price" />
	<chart:param name="yAxisTitle" value="Wholesale Cost" />

	<chart:param name="dwellUseY2Value" value="true" />
	<chart:param name="dwellXString" value="Price: $XX" />
	<chart:param name="dwellYString" value="Cost: $XX" />
	<chart:param name="dwellY2String" value="Q1 Revenue: $XX" />
	<chart:param name="dwellUseLabelString" value="true" />

	<chart:param name="dataset0Color" value="8d14b2" />
	<chart:param name="dataset0LabelFont" value="Arial,9,0" />

	<chart:param name="fillBubbles" value="false" />
	<chart:param name="labelsOn" value="true" />

</chart:streamed>
</td><td valign=top>
<p>
This bubble chart definition uses the "fillBubbles" param to turn filled bubbles into
circles.  We also added labels with the "labelsOn" param.
<p>
Un-filled bubbles are sometimes clearer for charts that have many observations.
Text labels can clutter the picture, though, and are sometimes better left
to dwell labels.
</td></tr></table>

<hr>
<table border=0 cellpadding=10><tr><td valign=top>
<p>
This chart definition demonstrates a couple of other important features of the bubble
chart object.  This object can cross the axes at any value.  The default cross
location of 0,0 is used for this chart.
<p>
We also disabled X, Y and Y2 value labels, and we're using string labels, defined
with the params "dataset0Labels", and "dataset1Labels".  These labels are the names
of popular web sites, and demonstrate another interesting feature: chart hyperlinks.
<p>
This chart defines "dataset0Links" and "dataset1Links" as drilldown URLs.  Clicking
on one of the bubbles will take you to a URL.  Although we're just using the public
sites indicated by the labels, you'll probably want to drill down to a more detailed
chart or table at your own site.  
<p>
To load the hyperlink in the same page, you'd
set the "target" param to "_this".  To load it in a specific window name, set "target"
to the name of that window or frame.
</td><td valign=top>
<chart:streamed chartType="bubbleApp" >
	<chart:param name="antialiasOn" value="true" />
	<chart:param name="width" value="300" />
	<chart:param name="height" value="300" />
	<chart:param name="dataset0y2Values" value="100,200,300" />
	<chart:param name="dataset0yValues" value="234,543,-523" />
	<chart:param name="dataset0xValues" value="-1,0,1" />
	<chart:param name="dataset1y2Values" value="100,200,300" />
	<chart:param name="dataset1yValues" value="321,432,456" />
	<chart:param name="dataset1xValues" value="-1.5,0.2,1.2" />
	<chart:param name="dataset0Name" value="Thing 1" />
	<chart:param name="dataset1Name" value="Thing 2" />

	<chart:param name="legendOn" value="true" />

	<chart:param name="crossAxes" value="true" />
	<chart:param name="titleString" value="A Bubble Chart Object" />
	<chart:param name="subTitleString" value="with hyperlinks and crossed axes" />

	<chart:param name="dataset0Links" value="http://www.ve.com,javascript:alert('hey'),http://www.yahoo.com" />
	<chart:param name="dataset0Labels" value="http://www.ve.com,javascript,http://www.yahoo.com" />
	<chart:param name="dataset1Links" value="http://www.ve.com,javascript:alert('hey'),http://www.yahoo.com" />
	<chart:param name="dataset1Labels" value="http://www.ve.com,javascript,http://www.yahoo.com" />
	<chart:param name="dwellUseLabelString" value="true" />
	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellUseYValue" value="false" />
	<chart:param name="dataset0Color" value="80ff0000" />
	<chart:param name="dataset1Color" value="800000ff" />
</chart:streamed>
</td></tr></table>
