<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Gantt Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>
<P>
Gantt charts are a specialized graphic that helps to schedule resources.  It shows
the start and end times for processes or tasks to help you visualize how to optimize
your resource use.
<p>
KavaChart ProServe's specialty chart collection includes "ganttApp"
for drawing Gantt Charts.
<p>
This object, "ganttApp" uses special properties "dataset0startDates" and "dataset0EndDates"
to describe the start and end times for each track.  The dataset name is used to
label the track.  Up to 40 datasets are available, so that's how many tracks you can
have.  Each dataset can have as many items as you need.
<hr>
<table border=0><tr><td valign=top>
Our first example isn't actually a project, but a visual description of governments in the
United States and Japan.
<p>
 US governments form one dataset, and start and end values of each
presidential administration are used for "dataset0startDates" and "dataset0EndDates".  Dwell
labels are used to provide the president or prime minister's name and the start and end
of their respective administrations.
<p>
Note that a "x" is used instead of a real date for the last item in each dataset's "EndDates".
The chart interprets this date as an indefinite project end.
</td><td>
<chart:streamed chartType="ganttApp" useLinkMap="false">
	<chart:param name="width" value="480" />
	<chart:param name="height" value="320" />
	<chart:param name="plotAreaColor" value="white" />
	<chart:param name="plotAreaBottom" value="0.22" />
	<chart:param name="plotAreaTop" value=".80" />

	<chart:param name="titleString" value="Government Heads and Durations" />

	<chart:param name="individualColors" value="true" />
	<chart:param name="dwellUseLabelString" value="true" />
	<chart:param name="xAxisOptions" value="tickOff, lineOff" />

	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaTop" value="0.93" />
	<chart:param name="plotAreaLeft" value="0.20" />
	<chart:param name="plotAreaColor" value="transparent" />

	<chart:param name="startDate" value="01-1968" />
	<chart:param name="endDate" value="01-2004" />
	<chart:param name="axisDateFormat" value="yyyy" />
	<chart:param name="dwellLabelDateFormat" value="MM-yyyy" />
	<chart:param name="dataset0Colors" value="e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67,e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67" />
	<chart:param name="dataset1Colors" value="e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67,e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67,e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67,e3d782,c7555a,7d1242,51779c,82cbd9,1a2a67" />
	
	<chart:param name="inputDateFormat" value="MM-yyyy" />

	<chart:param name="dataset0Name" value="United States" />
	<chart:param name="dataset0Labels" value="Nixon, Ford, Carter, Reagan, GHW Bush, Clinton, GW Bush" />
	<chart:param name="dataset0startDates" value="01-1969,01-1974,01-1977,01-1981,01-1989,01-1993,01-2001,01-2003" />
	<chart:param name="dataset0endDates" value="01-1974,01-1977,01-1981,01-1989,01-1993,01-2001,x" />

	<chart:param name="dataset1Name" value="Japan" />
	<chart:param name="dataset1Labels" value="Sato,Tanaka,Miki,Fukuda,Ohira,Suzuki,Nakasone,Takeshita,Uno,Kaifu,Miyazawa,Hosokawa,Hata,Murayama,Hashimoto,Obuchi,Mori,Koizumi" />
	<chart:param name="dataset1startDates" value="07-1972,12-1974,12-1976,12-1978,07-1980,11-1982,11-1987,06-1989,08-1989,11-1991,08-1991,08-1993,04-1994,06-1994,01-1996,07-1998,04-2000,04-2001" />
	<chart:param name="dataset1endDates" value="12-1974,12-1976,12-1978,07-1980,11-1982,11-1987,06-1989,08-1989,11-1991,08-1991,08-1993,04-1994,06-1994,01-1996,07-1998,04-2000,04-2001,x" />

</chart:streamed>
</td></tr></table>
<hr>
<table border=0 cellpadding=10><tr><td valign=top><tr><td valign="top" />
<chart:streamed chartType="ganttApp" useLinkMap="false">
	<chart:param name="width" value="300" />
	<chart:param name="height" value="200" />
	<chart:param name="plotAreaLeft" value=".23" />
	<chart:param name="plotAreaRight" value=".95" />
	<chart:param name="plotAreaBottom" value=".12" />
	<chart:param name="plotAreaTop" value=".95" />
	<chart:param name="xAxisOptions" value="tickOff" />
	<chart:param name="yAxisOptions" value="gridOn,tickOff" />

	<chart:param name="individualColors" value="true" />

	<chart:param name="defaultFont" value="Arial,10,0" />
	<chart:param name="dwellLabelDateFormat" value="MM/dd/yyyy HH:mm:ss.SSS" />
	<chart:param name="dwellLabelShowStartDate" value="true" />
	<chart:param name="dwellLabelShowEndDate" value="true" />
	<chart:param name="dwellUseLabelString" value="true" />

	<chart:param name="inputDateFormat" value="MM/dd/yyyyHH:mm" />
	<chart:param name="axisDateFormat" value="HH:mm" />
	<chart:param name="axisSecondaryDateFormat" value="dd-MM" />
	<chart:param name="minBarWidth" value="7" />

	<chart:param name="dataset0Name" value="Part XX" />
	<chart:param name="dataset0inputDateFormat" value="MM/dd/yyyyHH:mm:ss" />
	<chart:param name="dataset0startDates" value="11/07/200204:37:22,11/07/200206:12:00,11/07/200206:45:33,11/07/200211:20:13" />
	<chart:param name="dataset0useTearEdge" value="true" />
	<chart:param name="dataset0Labels" value="11-334,DVA342,980,1200000118" />
	<chart:param name="dataset0Colors" value="daa520,ccdaba" />

	<chart:param name="dataset1Name" value="Downtime" />
	<chart:param name="dataset1inputDateFormat" value="MM/dd/yyyyHH:mm:ss.SSS" />
	<chart:param name="dataset1startDates" value="11/07/200204:00:00.000,11/07/20026:12:22.011,11/07/20026:37:51.211,11/07/200210:45:23.000,11/07/200211:51:22.021" />
	<chart:param name="dataset1endDates" value="11/07/200204:07:12.410,11/07/20026:34:33.423,11/07/20026:58:11.230,11/07/200210:52:33.100,11/08/200212:00:00.000" />
	<chart:param name="dataset1Labels" value="Fault,Tool Change,Unknown,Tool Change,Operator Lunch" />
	<chart:param name="dataset1Colors" value="ff0000,ffff00,000000,ffff00,ffa500" />

	<chart:param name="dataset2Name" value="Machine" />
	<chart:param name="dataset2inputDateFormat" value="MM/dd/yyyyHH:mm:ss" />
	<chart:param name="dataset2startDates" value="11/07/200204:00:00.000,11/07/20026:12:22.011,11/07/20026:37:51.211,11/07/200210:45:23.000,11/07/200211:51:22.021" />
	<chart:param name="dataset2endDates" value="11/07/200204:07:12.410,11/07/20026:34:33.423,11/07/20026:58:11.230,11/07/200210:52:33.100,11/08/200212:00:00.000" />
	<chart:param name="dataset2Labels" value="Idle,Alarm,Running,Alarm,Idle,Warning,Idle,Running,Machine Off,Alarm,Idle,Paused,Idle" />
	<chart:param name="dataset2Colors" value="0000ff,ff0000,008000,ff0000,0000ff,ffff00,0000ff,008000,000000,ff0000,0000ff,ff00ff,0000ff" />


	<chart:param name="dataset3Name" value="User" />
	<chart:param name="dataset3inputDateFormat" value="MM/dd/yyyyHH:mm:ss" />
	<chart:param name="dataset3startDates" value="11/07/200204:15:12,11/07/200208:04:01" />
	<chart:param name="dataset3Labels" value="11-334,DVA342,980,1200000118" />
	<chart:param name="dataset3Colors" value="0000aa,00aa00" />

	<chart:param name="dataset4Name" value="Shift" />
	<chart:param name="dataset4inputDateFormat" value="MM/dd/yyyyHH:mm" />
	<chart:param name="dataset4startDates" value="11/07/200204:00,11/07/200208:00" />
	<chart:param name="dataset4endDates" value="11/07/200208:00,11/07/200212:00" />
	<chart:param name="dataset4Labels" value="Afternoon,Night" />
	<chart:param name="dataset4Colors" value="0000ff,008000" />
</chart:streamed>
</td><td valign=top>
<p>
This gantt chart shows scheduling for various resources in a production line.  In your charts,
you'll probably use some dynamic mechanism, such as JSP or ASP to populate the applet parameters.
Like the previous example, we've used an "x" for indefinite dates, and because the param
"useTearEdge" is set to "true", these dates appear as a broken or torn end.
<p>
You can also use the param "customDatasetHandler" to read your data from a file or URL.  This param
expects to retrieve a stream of rows of characters.  Items in the rows are separated by commas.  The
first item is the task name (dataset name), and subsequent items are start and end dates, in the
format defined by the param "inputDateFormat".
</td></tr></table>

</body>
</html>

