<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Speedo Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>
<P>
Gauges are typically used to measure one or two items.  For example, a speedometer in
a car displays only the car's speed.  However, the other elements in a gauge provide
hints about what the appropriate values should be.
<p>
KavaChart ProServe's collection uses
"speedoApp" for drawing gauges.
<p>
Typically, a gauge shows a "normal" value near the middle of the gauge, and uses
indicators like colored regions to display danger zones.
<p>
A gauge shows an instant status, and isn't particularly helpful in explaining trends
or comparisons.
<p>
KavaChart gauges are implemented with "speedoApp", which uses a single axis to display
a range of values, and one indicator per dataset to show the current value.
The available indicators include lines, pointers, and sweep arcs.  All KavaChart gauges
use a curved axis to display values.
<hr>
<table border=0><tr><td valign=top>
<p>
A simple speedo definition uses dataset values that define the total range of possible data.
The first value in the dataset is used to locate the speedo's indicator needle.
<p>
Another approach supplies only one value for data, and then uses "yAxisStart" and "yAxisEnd"
values to define the axis limits.
</td><td valign=top>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="300" />
	<chart:param name="height" value="150" />
	<chart:param name="dataset0yValues" value="456,0,1000" />
	<chart:param name="labelsOutside" value="true" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr>
<td valign=top>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="300" />
	<chart:param name="height" value="150" />
	<chart:param name="dataset0yValues" value="456" />
	<chart:param name="labelsOutside" value="true" />
	<chart:param name="yAxisStart" value="0" />
	<chart:param name="yAxisEnd" value="1000" />
	<chart:param name="dataset0Color" value="black" />
	<chart:param name="yAxisThresholdLine0Value" value="0" />
	<chart:param name="yAxisThresholdLine0Color" value="green" />
	<chart:param name="yAxisThresholdLine1Value" value="600" />
	<chart:param name="yAxisThresholdLine1Color" value="yellow" />
	<chart:param name="yAxisThresholdLine2Value" value="750" />
	<chart:param name="yAxisThresholdLine2Color" value="orange" />
	<chart:param name="yAxisThresholdLine3Value" value="900" />
	<chart:param name="yAxisThresholdLine3Color" value="red" />
	<chart:param name="antialiasOn" value="true" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td>
<td valign=top>
<p>
By adding "thresholdLine" params, the object will paint regions to indicate 
various threshold levels.
<p>
A "needleStyle" param changes the needle from an arrow to a pointer, and
"dataset0Color" sets the color to black.
</td>
</tr></table>
<hr>
<table border=0><tr><td valign=top>
<p>
The "speedoPostion" param changes the speedo to various locations and positions.  Position
"2" changes the indicator to a top-centered dial.  Other indicators create a quarter-circle
indicator centered in various locations, or a near full-circle indicator.
</td><td valign=top>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="300" />
	<chart:param name="height" value="150" />
	<chart:param name="dataset0yValues" value="456" />
	<chart:param name="labelsOutside" value="true" />
	<chart:param name="yAxisStart" value="0" />
	<chart:param name="yAxisEnd" value="1000" />
	<chart:param name="speedoPosition" value="2" />
	<chart:param name="dataset0Color" value="black" />
	<chart:param name="yAxisThresholdLine0Value" value="0" />
	<chart:param name="yAxisThresholdLine0Color" value="green" />
	<chart:param name="yAxisThresholdLine1Value" value="600" />
	<chart:param name="yAxisThresholdLine1Color" value="yellow" />
	<chart:param name="yAxisThresholdLine2Value" value="750" />
	<chart:param name="yAxisThresholdLine2Color" value="orange" />
	<chart:param name="yAxisThresholdLine3Value" value="900" />
	<chart:param name="yAxisThresholdLine3Color" value="red" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr>
<td valign=top>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="150" />
	<chart:param name="height" value="300" />
	<chart:param name="dataset0yURL" value="fake" />
	<chart:param name="networkInterval" value="2" />
	<chart:param name="labelsOutside" value="true" />
	<chart:param name="yAxisStart" value="0" />
	<chart:param name="yAxisEnd" value="10" />
	<chart:param name="needleStyle" value="2" />
	<chart:param name="speedoPosition" value="3" />
	<chart:param name="dataset0Color" value="black" />
	<chart:param name="yAxisThresholdLine0Value" value="0" />
	<chart:param name="yAxisThresholdLine0Color" value="green" />
	<chart:param name="yAxisThresholdLine1Value" value="6" />
	<chart:param name="yAxisThresholdLine1Color" value="yellow" />
	<chart:param name="yAxisThresholdLine2Value" value="7.5" />
	<chart:param name="yAxisThresholdLine2Color" value="orange" />
	<chart:param name="yAxisThresholdLine3Value" value="9" />
	<chart:param name="yAxisThresholdLine3Color" value="red" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td><td valign=top>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="150" />
	<chart:param name="height" value="300" />
	<chart:param name="dataset0yURL" value="fake" />
	<chart:param name="networkInterval" value="2" />
	<chart:param name="labelsOutside" value="true" />
	<chart:param name="yAxisStart" value="0" />
	<chart:param name="yAxisEnd" value="10" />
	<chart:param name="needleStyle" value="2" />
	<chart:param name="speedoPosition" value="4" />
	<chart:param name="dataset0Color" value="black" />
	<chart:param name="yAxisThresholdLine0Value" value="0" />
	<chart:param name="yAxisThresholdLine0Color" value="green" />
	<chart:param name="yAxisThresholdLine1Value" value="6" />
	<chart:param name="yAxisThresholdLine1Color" value="yellow" />
	<chart:param name="yAxisThresholdLine2Value" value="7.5" />
	<chart:param name="yAxisThresholdLine2Color" value="orange" />
	<chart:param name="yAxisThresholdLine3Value" value="9" />
	<chart:param name="yAxisThresholdLine3Color" value="red" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td>
<td valign=top>
<p>
You'll probably pull your data from a database, a web service, or some other
dynamic variable.  These samples use either random numbers or fixed data,
since we're primarily interested in showing some of the variety available
in KavaChart.
<p>
Refresh the page and you'll see these two Gauges change value.
</td>
</tr></table>
<hr>
<table border=0><tr><td valign=top>
<p>
Use KavaChart's 
<a href="http://www.ve.com/editor/" />
ChartWizard
</a>
to experiment with different speedo designs.  You'll generally be able to find a variant that
suits your needs.
</td><td valign=top>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="320" />
	<chart:param name="height" value="160" />
	<chart:param name="usePivotCircle" value="false" />
	<chart:param name="needleStyle" value="3" />
	<chart:param name="labelsOutside" value="true" />
	<chart:param name="speedoPosition" value="1" />
	<chart:param name="plotAreaColor" value="black" />
	<chart:param name="backgroundColor" value="black" />
	<chart:param name="yAxisOptions" value="minTickOn,majTickOn,tickOn" />
	<chart:param name="yAxisTickLength" value="5" />
	<chart:param name="yAxisTickColor" value="white" />
	<chart:param name="yAxisLineColor" value="gray" />
	<chart:param name="yAxisLabelColor" value="gray" />
	<chart:param name="networkInterval" value="1" />
	<chart:param name="dataset0yURL" value="fake" />
	<chart:param name="dataset0Color" value="red" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="160" />
	<chart:param name="height" value="160" />
	<chart:param name="needleStyle" value="2" />
	<chart:param name="speedoPosition" value="0" />
	<chart:param name="plotAreaColor" value="black" />
	<chart:param name="backgroundColor" value="black" />
	<chart:param name="yAxisOptions" value="minTickOn,majTickOn,tickOn" />
	<chart:param name="yAxisTickLength" value="5" />
	<chart:param name="yAxisTickColor" value="white" />
	<chart:param name="yAxisLineColor" value="gray" />
	<chart:param name="yAxisLabelColor" value="gray" />
	<chart:param name="networkInterval" value="2" />
	<chart:param name="dataset0yURL" value="fake" />
	<chart:param name="dataset0Color" value="red" />
	<chart:param name="dataset1yURL" value="fake" />
	<chart:param name="dataset1Color" value="yellow" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
<chart:streamed chartType="speedoApp" >
	<chart:param name="width" value="160" />
	<chart:param name="height" value="160" />
	<chart:param name="needleStyle" value="2" />
	<chart:param name="speedoPosition" value="0" />
	<chart:param name="plotAreaColor" value="black" />
	<chart:param name="backgroundColor" value="black" />
	<chart:param name="yAxisOptions" value="noAutoScale,minTickOn,majTickOn,tickOn" />
	<chart:param name="yAxisTickLength" value="5" />
	<chart:param name="yAxisTickColor" value="white" />
	<chart:param name="yAxisLineColor" value="gray" />
	<chart:param name="yAxisLabelColor" value="gray" />
	<chart:param name="dataset0yURL" value="fake" />
	<chart:param name="dataset0Color" value="red" />
	<chart:param name="dataset1yURL" value="fake" />
	<chart:param name="dataset1Color" value="yellow" />
	<chart:param name="antialiasOn" value="true" />
</chart:streamed>
</td></tr></table>
<hr>
</body>
</html>
