<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Bar Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>

<P>
Bar charts are ideal for comparing categories or discrete events against a common
scale.  In KavaChart, bar charts with vertical bars are called "column" charts, 
while those with horizontal bars are called "bar" charts.
<p>
Bar charts are particularly good at highlighting the differences between items.
If you need to show trends, a line chart or area chart variant might be a better
choice.
<p>
KavaChart ProServe has 2 hi-lo bar type charts:
<ul>
<li>hiLoBarApp
<li>hHiLoBarApp (horizontal hi-lo bar charts)
</ul>
Other, similar charts are ganttApp, candlestickApp, hLOCApp, and finance combination charts.
<p>
Use the source code to this page as a guide in creating your own bar charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
to design your own bar charts.
<hr>

<table border=0><tr><td valign=top><tr><td valign=top>
This bar chart variant is the high low bar.  These charts are particularly useful for 
comparing items that have two values, typically a high and a low.  This chart is available
for either vertical or horizontal bars.
<p>
For examples of open-high-low-close, candlestick, and other finance oriented high low bar
charts, see our finance chart examples.  See the gantt chart examples for a specific
approach to time oriented horizontal high-low charting.
<p>
This chart type uses Y and Y2 values.  Y2 values are interpreted as the difference between the 
high and low value.  Like all other KavaChart applets, data parameters can be generated dynamically
or you can use this applet to read dynamic data from a URL.
</td><td valign=top>
<chart:streamed chartType="hiLoBarApp" >
	<chart:param name="width" value="350" />
	<chart:param name="height" value="212" />
	<chart:param name="titleString" value="Zone Seven Water Levels" />
	<chart:param name="defaultFont" value="Arial,10,0" />
	<chart:param name="titleFont" value="Arial,14,0" />
	<chart:param name="yAxisTitle" value="Water Level (feet)" />
	<chart:param name="xAxisTitle" value="10 Months in Yr 2002" />
	<chart:param name="yAxisOptions" value="gridOn, minTickOn, rotateTitle" />
	<chart:param name="xAxisOptions" value="tickOff" />

	<chart:param name="dataset0Labels" value="Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct" />
	<chart:param name="dataset0yValues" value="47,52,51,45,58,59,55,53,51,47" />
	<chart:param name="dataset0y2Values" value="20,25,27,19,14,20,21,25,25,25" />

	<chart:param name="dataset0Color" value="51779c" />

	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaLeft" value="0.17" />

	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellUseY2Value" value="true" />
	<chart:param name="dwellUseLabelString" value="true" />
	<chart:param name="dwellYString" value="High: XX" />
	<chart:param name="dwellY2String" value="Low: XX" />
</chart:streamed>
</td></tr></table>
