<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Multi Axis Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>

<P>
Some charts need to compare data items with very different scales.  For example, you
might want to compare velocity with fuel consumption, or stock prices with sales
volumes.
<p>
Charts like this use Y axes on the left and the right side to describe the dual
numeric scales that are being compared.  Generally the X axis is shared.
<p>
KavaChart ProServe includes these multi-axis charts:
<ul>
<li>twinAxisBarAreaApp
<li>twinAxisBarLineApp
<li>twinAxisStackBarLineApp
<li>twinAxisLineApp
<li>twinAxisDateLineApp
</ul>
<p>
KavaChart's <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
can help you design these charts, or you can build them by editing the parameters
directly.

<hr>
<table border=0><tr><td valign=top>
<p>
This chart combines two data types, a bar and a line, to show one year's weekly 
spending and cumulative spending in the same chart. In this chart, one axis is
assigned to the bar data type and the other axis is assigned to the line.  You can
have multiple datasets of either data type.  By default, the line data is assigned
to the left axis and the bar data is assigned to the right axis.
<p>
To reassign data to a different chart tye and (implicitly) a different axis, change
the param "dataset0Type".  To reassign the axes to different sides, use "yAxisOptions"
and "auxAxisOptions" with the option "leftAxis" or "rightAxis".  All bar axis parameters
begin with "auxAxis".  For example, "auxAxisEnd" will hint where the bar axis should end.
<p>
Line charts visually imply trends, and bar charts are used for comparing discrete 
observations.  That makes a chart like this best for describing a trend that accompanies
a set of observations.
</td><td valign=top>

<chart:streamed chartType="twinAxisBarLineApp" >
	<chart:param name="width" value="485" />
	<chart:param name="height" value="350" />

	<chart:param name="titleString" value="2006 eCommerce Plan by Fiscal Week" />
	<chart:param name="titleFont" value="Arial,12,0" />
	<chart:param name="xAxisOptions" value="labelsOff,tickOff" />

	<chart:param name="yAxisGridColor" value="lightGray" />
	<chart:param name="yAxisOptions" value="minTickOn,gridOn,rotateTitle,lineOff" />
	<chart:param name="yAxisTitle" value="Cummulative Spend $000's" />

	<chart:param name="auxAxisTitle" value="FW Spend $000's" />
	<chart:param name="auxAxisOptions" value="rotateTitle,lineOff" />

	<chart:param name="dataset0yURL" value="<%=application.getRealPath("/examples/samples/data/aucbar.dat")%>" />
	<chart:param name="dataset0URLLabels" value="<%=application.getRealPath("/examples/samples/data/auclbl.dat")%>" />
	<chart:param name="dataset1yURL" value="<%=application.getRealPath("/examples/samples/data/aucline.dat")%>" />
	<chart:param name="dataset0Color" value="ffa500" />
	<chart:param name="dataset0Type" value="Bar" />
	<chart:param name="dataset1lineWidth" value="1" />
	<chart:param name="dataset1Color" value="0000aa" />
	<chart:param name="dataset1MarkerStyle" value="1" />
	<chart:param name="dataset0Name" value="Weekly Spending" />
	<chart:param name="dataset1Name" value="Cumulative Spending" />

	<chart:param name="plotAreaRight" value="0.85" />
	<chart:param name="plotAreaLeft" value="0.15" />
	<chart:param name="plotAreaBottom" value="0.05" />
	<chart:param name="plotAreaTop" value="0.85" />

	<chart:param name="outlineColor" value="black" />
	<chart:param name="dwellXString" value="Week:XX" />
	<chart:param name="dwellYString" value="Spending:$XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr><td valign=top>
<chart:streamed chartType="twinAxisBarAreaApp" >
	<chart:param name="width" value="485" />
	<chart:param name="height" value="350" />

	<chart:param name="titleString" value="2006 eCommerce Plan by Fiscal Week" />
	<chart:param name="titleFont" value="Arial,12,0" />
	<chart:param name="xAxisOptions" value="labelsOff,tickOff" />

	<chart:param name="yAxisGridColor" value="lightGray" />
	<chart:param name="yAxisOptions" value="minTickOn,gridOn,rotateTitle,lineOff" />
	<chart:param name="yAxisTitle" value="Cummulative Spend $000's" />

	<chart:param name="auxAxisTitle" value="FW Spend $000's" />
	<chart:param name="auxAxisOptions" value="rotateTitle,lineOff" />

	<chart:param name="dataset0yURL" value="<%=application.getRealPath("/examples/samples/data/aucbar.dat")%>" />
	<chart:param name="dataset0URLLabels" value="<%=application.getRealPath("/examples/samples/data/auclbl.dat")%>" />
	<chart:param name="dataset1yURL" value="<%=application.getRealPath("/examples/samples/data/aucline.dat")%>" />
	<chart:param name="dataset0Type" value="Bar" />
	<chart:param name="dataset0Color" value="ffa500" />
	<chart:param name="dataset1lineWidth" value="1" />
	<chart:param name="dataset1Color" value="0000aa" />
	<chart:param name="dataset1MarkerStyle" value="1" />
	<chart:param name="dataset0Name" value="Weekly Spending" />
	<chart:param name="dataset1Name" value="Cumulative Spending" />

	<chart:param name="plotAreaRight" value="0.85" />
	<chart:param name="plotAreaLeft" value="0.15" />
	<chart:param name="plotAreaBottom" value="0.05" />
	<chart:param name="plotAreaTop" value="0.85" />

	<chart:param name="outlineColor" value="black" />
	<chart:param name="dwellXString" value="Week:XX" />
	<chart:param name="dwellYString" value="Spending:$XX" />
	<chart:param name="dwellUseDatasetName" value="true" />
</chart:streamed></td><td valign=top>
<p>
Areas also convey trends.  This chart uses the same parameter definition as the previous
chart, but uses "barAreaApp" instead of "barLineApp".  In some ways this chart does
a better job of emphasizing the individual weeks' numbers, since the cumulative
data is beneath the weekly data bars.
<p>
Since we also changed from a line with markers to an area without clear delineations,
the trending nature of our cumulative numbers is emphasized over the actual values at
any given point.
</td></tr></table>
