<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Spider Chart Samples</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css" />
</head>
<P>
Kiviat, Polar, Radar, or Spider charts give you a visual comparison of several items, usually
without regard to a specific numeric scale.  For example, lets say you wanted
to compare several individuals to see who was best suited for a particular position.
A spider chart lets you rate several attributes against an ideal, and get
an instant visual comparison of any individual against the ideal candidate.
<p>
KavaChart's collection uses "polarApp" for drawing Radar charts.
<p>
Use the source code to this page as a guide in creating your own spider charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
to design your own spider charts.
<hr>
<table border=0 cellpadding=10><tr><td valign=top>
A simple spider plot has one "spoke" on the axis for each item compared.
The user-defined axis labels are positioned at the end of each spoke, and numeric
labels are drawn on the vertical spoke at the 12 o'clock position.
<p>
With a Kiviat chart, all the values are typically normalized to a specific range,
generally from 0 to 1.  The shape of the various datasets can be compared with the ideal
at a glance, which is the goal of this kind of chart.  Each dataset should have the same
number of items, and each item's value should fall within the same range.
<p>
KavaChart spider plots are implemented with the object "polarApp", which can 
also be used for polar charts.
</td><td valign=top>
<chart:streamed chartType="polarApp" >
	<chart:param name="width" value="250" />
	<chart:param name="height" value="250" />

	<chart:param name="dataset0yValues" value="1.0,1.0,1.0" />
	<chart:param name="dataset0Name" value="Ideal" />
	<chart:param name="dataset1yValues" value="0.9,0.5,0.73" />
	<chart:param name="dataset1Name" value="R Franklin" />
	<chart:param name="dataset2yValues" value="0.786,0.576,0.77" />
	<chart:param name="dataset2Name" value="A Haar" />
	<chart:param name="dataset3yValues" value="0.657,0.876,0.456" />
	<chart:param name="dataset3Name" value="R McKay" />

	<chart:param name="yAxisColor" value="gray" />

	<chart:param name="dataset0Color" value="58a8a0" />
	<chart:param name="dataset1Color" value="ffa0d0" />
	<chart:param name="dataset2Color" value="50b870" />
	<chart:param name="dataset3Color" value="f8c048" />
	<chart:param name="yAxisOptions" value="tickOff,labelOn" />
	<chart:param name="yAxisLabelFont" value="Arial,9,0" />
	<chart:param name="yAxisTitleFont" value="Arial,9,0" />

	<chart:param name="dataset0lineWidth" value="2" />
	<chart:param name="dataset1lineWidth" value="2" />
	<chart:param name="dataset2lineWidth" value="2" />
	<chart:param name="dataset3lineWidth" value="2" />

	<chart:param name="xAxisLabels" value="Experience,Personality,Ambition" />

	<chart:param name="legendOn" value="true" />
	<chart:param name="iconGap" value="0.01" />
	<chart:param name="legendLlY" value="0.09" />

	<chart:param name="plotAreaColor" value="white" />
</chart:streamed>
</td></tr></table>
<hr>
<table border=0><tr><td valign=top>
<chart:streamed chartType="polarApp" >
	<chart:param name="fillAreas" 	  value="true" />
	<chart:param name="width" value="400" />
	<chart:param name="height" value="400" />
	<chart:param name="yAxisTitleFont" value="Arial,9,0" />

	<chart:param name="dataset0yValues" value="1.0,0.44,0.0,0.14,1.0,0.0,0.0,1.0,0.05" />
	<chart:param name="dataset0Name" value="San Antonio Spurs" />
	<chart:param name="dataset1yValues" value=".47,.48,.08,1.0,1.0,1.0,0.1,.67,.65" />
	<chart:param name="dataset1Name" value="Los Angeles Lakers" />
	<chart:param name="dataset2yValues" value=".57,1.0,1.0,0.0,0.5,0.7,0.4,0.0,1.0" />
	<chart:param name="dataset2Name" value="Dallas Mavericks" />

	<chart:param name="yAxisOptions" value="gridOn,labelsOff,tickOff" />
	<chart:param name="yAxisStart" value="-0.5" />
	<chart:param name="yAxisEnd" value="1.0" />
	<chart:param name="yAxisLineColor" value="gray" />

	<chart:param name="dataset0Color" value="70aaffaa" />
	<chart:param name="dataset1Color" value="70ffaaaa" />
	<chart:param name="dataset2Color" value="70aaaaff" />

	<chart:param name="xAxisLabels" value="Field Goal %,3 Point %,Free Throw %,Off Rebounds, Def Rebounds, Assists, Shots Per Game, Turnovers, Points Per Game" />

	<chart:param name="legendOn" value="true" />
	<chart:param name="iconGap" value="0.01" />
	<chart:param name="legendLlX" value="0.15" />

	<chart:param name="plotAreaColor" value="white" />
</chart:streamed>
</td><td valign=top>
<p>
This spider plot compares several NBA teams.  At a glance, we can see which
teams take the most shots per game, which team has the best free throw percentage,
and so on.
<p>
Since these values all have different ranges, we normalized the values to a number between 0 and 1,
and then set the axis to scale from -0.5 to 1 to keep the dataset shapes roughly circular.
<p>
Kiviat charts can also display markers at each points, and can toggle the visibility of the 
plot lines for a sort of scatter plot display.  This is more effective when the axes are reduced
with the "numSpokes" param, or when the axes are hidden by setting the color to "transparent".
</td></tr></table>

<hr>
<table border=0 cellpadding=10><tr><td valign=top>
<p>
With a much larger number of points and a fixed number of axis spokes, a spider plot takes the
appearance of a radar plot.  KavaChart's polarApp always distributes the points in a circular
distribution around the center of the plot, but you can vary this behavior in a variety of ways
with a little bit of Java programming.  See the "contrib" item "dailyPolarApp" for an example
object that uses this object to create a 24 hour "clock" of values.
</td><td valign=top>
<chart:streamed chartType="polarApp" >
	<chart:param name="width" value="250" />
	<chart:param name="height" value="250" />

	<chart:param name="dataset0yValues" value="12,32,43,23,43,45,43,23,54,67,54,67,87,89,87,56,86,76,64,84,75,69,87,89,67,98,76,56,78,56,45,76,56,45,65,45,76,78" />
	<chart:param name="dataset0Name" value="Ideal" />

	<chart:param name="yAxisColor" value="gray" />
	<chart:param name="yAxisStart" value="0" />

	<chart:param name="dataset0Color" value="58a8a0" />

	<chart:param name="manualSpoking" value="true" />
	<chart:param name="numSpokes" value="4" />
	<chart:param name="plotAreaColor" value="white" />

</chart:streamed>
</td></tr></table>
