<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Bar Chart Samples</title>
<link rel="stylesheet" type="text/css" href="../../../documentation/style.css" />
</head>
<P>
Bar charts are ideal for comparing categories or discrete events against a common
scale.  In KavaChart, bar charts with vertical bars are called "column" charts, 
while those with horizontal bars are called "bar" charts.
<p>
Bar charts are particularly good at highlighting the differences between items.
In general, the conventional bar and column charts (barApp, stackBarApp,
columnApp, stackColumnApp) 
do a much better job than timeseries bar charts.
If you need to show trends, a line chart or area chart variant might be a better
choice.
<p>
KavaChart ProServe's Timeseries collection includes the following bar and column
charts:
<ul>
<li>dateColumnApp
<li>dateBarApp
<li>dateStackColumnApp
<li>dateStackBarApp
<li>stickApp
</ul>
<p>
Use the source code to this page as a guide in creating your own bar charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
to design your own bar charts.
<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<chart:cached chartType="dateColumnApp" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="200" />
	<chart:param name="colorPalette" value="web_prague" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaBottom" value="0.25" />
	<chart:param name="plotAreaColor" value="dddddd" />
	<chart:param name="plotAreaGradient" value="2" />
	<chart:param name="plotAreaLeft" value="0.12" />
	<chart:param name="plotAreaRight" value="0.88" />
	<chart:param name="plotAreaSecondaryColor" value="ffffff" />
	<chart:param name="plotAreaTop" value="0.84" />
	<chart:param name="xAxisGridColor" value="cccccc" />
	<chart:param name="xAxisGridWidth" value="1" />
	<chart:param name="xAxisLabelColor" value="000000" />
	<chart:param name="xAxisLineColor" value="cccccc" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis" />
	<chart:param name="xAxisTickColor" value="cccccc" />
	<chart:param name="yAxisGridColor" value="cccccc" />
	<chart:param name="yAxisGridWidth" value="1" />
	<chart:param name="yAxisLabelColor" value="000000" />
	<chart:param name="yAxisLineColor" value="cccccc" />
	<chart:param name="yAxisOptions" value="gridOn,leftAxis" />
	<chart:param name="yAxisTickColor" value="cccccc" />

	<chart:param name="dwellLabelDateFormat" value="dd-MMM-yyyy hh:mm" />
	<chart:param name="dwellYString" value="Meters: XX" />
	<chart:param name="dwellXString" value="Day: XX" />
	<chart:param name="dwellUseYValue" value="true" />
	<chart:param name="dwellUseLabelString" value="false" />
	<chart:param name="locale" value="en_US" />
	<chart:param name="dwellUseDatasetName" value="true" />

	<chart:param name="dataset0Name" value="Wave Heights" />
	<chart:param name="titleString" value="Monterey Bay Buoy Wave Data" />

	<chart:param name="barClusterWidth" value="1.0" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset0dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset0yValues" value="3.28,3.61,3.94,4.27,3.94,3.94,3.94,3.61,3.61,3.94,4.27,3.94,3.94,3.94,4.27,3.94,3.61,4.27,3.61,3.94,3.94,3.94,4.27,3.61,3.94,3.94,3.61,3.61,4.27,3.94,3.28,3.61,4.27,3.61,3.94,3.61,3.94,3.94,3.61,3.28,3.94,4.59,4.27,3.94,4.27,3.94,4.59,3.94,4.27,4.27,3.94,3.94,3.94,4.27,4.27,3.61,3.61,3.28,3.94,3.94,3.61,3.28,3.61,3.28,3.61,3.61,3.61,3.94,3.61,2.95,3.28,3.61,3.28,3.61,2.95,2.95,3.28,3.61,3.28,2.95,2.62,3.28,2.95,3.28,2.95,3.28,3.28,3.28,2.95,3.61,3.28,2.95,3.28,2.95,3.28,2.62,2.95,3.28,3.28,3.28,2.95,2.95,2.95,2.95,2.95,3.61,2.62,2.62,3.28,2.95,2.95,2.95,2.95,3.28,2.95,2.62" />
</chart:cached>
</td><td valign=top>
<p>
Even though bar charts are best for comparing discrete items, it's possible to use them in a
similar fashion to line and area charts for viewing trends.  In particular, the bar and column
objects that begin with "date" (dateBarApp, dateStackColumnApp, etc.) will arrange bars along
a time oriented axis.
<p>
In this case, we also adjusted the "barClusterWidth" parameter to make adjacent bars touch.  The
effect is similar to a step chart.
<p>
Time oriented bar charts should only be used when you have more than 20 observations.  Fewer
observations are better compared as discrete items. 
</td></tr></table>


<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<chart:cached chartType="dateBarApp" useLinkMap="false" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="400" />
	<chart:param name="colorPalette" value="web_prague" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaBottom" value="0.25" />
	<chart:param name="plotAreaColor" value="dddddd" />
	<chart:param name="plotAreaGradient" value="2" />
	<chart:param name="plotAreaLeft" value="0.25" />
	<chart:param name="plotAreaRight" value="0.95" />
	<chart:param name="plotAreaSecondaryColor" value="ffffff" />
	<chart:param name="plotAreaTop" value="0.84" />
	<chart:param name="xAxisGridColor" value="cccccc" />
	<chart:param name="xAxisGridWidth" value="1" />
	<chart:param name="xAxisLabelColor" value="000000" />
	<chart:param name="xAxisLineColor" value="cccccc" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis" />
	<chart:param name="xAxisTickColor" value="cccccc" />
	<chart:param name="yAxisGridColor" value="cccccc" />
	<chart:param name="yAxisGridWidth" value="1" />
	<chart:param name="yAxisLabelColor" value="000000" />
	<chart:param name="yAxisLineColor" value="cccccc" />
	<chart:param name="yAxisOptions" value="gridOn,leftAxis" />
	<chart:param name="yAxisTickColor" value="cccccc" />

	<chart:param name="dwellLabelDateFormat" value="dd-MMM-yyyy hh:mm" />
	<chart:param name="dwellYString" value="Meters: XX" />
	<chart:param name="dwellXString" value="Day: XX" />
	<chart:param name="dwellUseYValue" value="true" />
	<chart:param name="dwellUseLabelString" value="false" />
	<chart:param name="locale" value="en_US" />
	<chart:param name="dwellUseDatasetName" value="true" />

	<chart:param name="dataset0Name" value="Wave Heights" />
	<chart:param name="titleString" value="Monterey Bay Buoy Wave Data" />

	<chart:param name="barClusterWidth" value="1.0" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset0dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset0yValues" value="3.28,3.61,3.94,4.27,3.94,3.94,3.94,3.61,3.61,3.94,4.27,3.94,3.94,3.94,4.27,3.94,3.61,4.27,3.61,3.94,3.94,3.94,4.27,3.61,3.94,3.94,3.61,3.61,4.27,3.94,3.28,3.61,4.27,3.61,3.94,3.61,3.94,3.94,3.61,3.28,3.94,4.59,4.27,3.94,4.27,3.94,4.59,3.94,4.27,4.27,3.94,3.94,3.94,4.27,4.27,3.61,3.61,3.28,3.94,3.94,3.61,3.28,3.61,3.28,3.61,3.61,3.61,3.94,3.61,2.95,3.28,3.61,3.28,3.61,2.95,2.95,3.28,3.61,3.28,2.95,2.62,3.28,2.95,3.28,2.95,3.28,3.28,3.28,2.95,3.61,3.28,2.95,3.28,2.95,3.28,2.62,2.95,3.28,3.28,3.28,2.95,2.95,2.95,2.95,2.95,3.61,2.62,2.62,3.28,2.95,2.95,2.95,2.95,3.28,2.95,2.62" />
</chart:cached>
</td><td valign=top>
<p>
In KavaChart parlance, a "Bar Chart" has horizontal bars, while a "Column Chart" has vertical bars.
</td></tr></table>

<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<chart:cached chartType="stickApp" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="200" />
	<chart:param name="colorPalette" value="web_prague" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaBottom" value="0.25" />
	<chart:param name="plotAreaColor" value="dddddd" />
	<chart:param name="plotAreaGradient" value="2" />
	<chart:param name="plotAreaLeft" value="0.12" />
	<chart:param name="plotAreaRight" value="0.88" />
	<chart:param name="plotAreaSecondaryColor" value="ffffff" />
	<chart:param name="plotAreaTop" value="0.84" />
	<chart:param name="xAxisGridColor" value="cccccc" />
	<chart:param name="xAxisGridWidth" value="1" />
	<chart:param name="xAxisLabelColor" value="000000" />
	<chart:param name="xAxisLineColor" value="cccccc" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis" />
	<chart:param name="xAxisTickColor" value="cccccc" />
	<chart:param name="yAxisGridColor" value="cccccc" />
	<chart:param name="yAxisGridWidth" value="1" />
	<chart:param name="yAxisLabelColor" value="000000" />
	<chart:param name="yAxisLineColor" value="cccccc" />
	<chart:param name="yAxisOptions" value="gridOn,leftAxis" />
	<chart:param name="yAxisTickColor" value="cccccc" />

	<chart:param name="dwellLabelDateFormat" value="dd-MMM-yyyy hh:mm" />
	<chart:param name="dwellYString" value="Meters: XX" />
	<chart:param name="dwellXString" value="Day: XX" />
	<chart:param name="dwellUseYValue" value="true" />
	<chart:param name="dwellUseLabelString" value="false" />
	<chart:param name="locale" value="en_US" />
	<chart:param name="dwellUseDatasetName" value="true" />

	<chart:param name="dataset0Name" value="Wave Heights" />
	<chart:param name="titleString" value="Monterey Bay Buoy Wave Data" />

	<chart:param name="barClusterWidth" value="1.0" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset0dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset0yValues" value="3.28,3.61,3.94,4.27,3.94,3.94,3.94,3.61,3.61,3.94,4.27,3.94,3.94,3.94,4.27,3.94,3.61,4.27,3.61,3.94,3.94,3.94,4.27,3.61,3.94,3.94,3.61,3.61,4.27,3.94,3.28,3.61,4.27,3.61,3.94,3.61,3.94,3.94,3.61,3.28,3.94,4.59,4.27,3.94,4.27,3.94,4.59,3.94,4.27,4.27,3.94,3.94,3.94,4.27,4.27,3.61,3.61,3.28,3.94,3.94,3.61,3.28,3.61,3.28,3.61,3.61,3.61,3.94,3.61,2.95,3.28,3.61,3.28,3.61,2.95,2.95,3.28,3.61,3.28,2.95,2.62,3.28,2.95,3.28,2.95,3.28,3.28,3.28,2.95,3.61,3.28,2.95,3.28,2.95,3.28,2.62,2.95,3.28,3.28,3.28,2.95,2.95,2.95,2.95,2.95,3.61,2.62,2.62,3.28,2.95,2.95,2.95,2.95,3.28,2.95,2.62" />
</chart:cached>
</td><td valign=top>
<p>
If you really need a bar chart with a timeseries axis, consider using a 
stick chart.  By default, this chart uses a bar width of 1 pixel, but you 
adjust this with the "stickWidth" property.  Since time data usually isn't
distributed evenly across an axis, a stick's narrow width makes axes work
better, and often looks better than actual bars.
</td></tr></table>

