<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<head>
<title>KavaChart Timeseries Line Chart Samples</title>
<link rel="stylesheet" type="text/css" href="../../../documentation/style.css" />
</head>
<font face="Arial,Helvetica" />
<P>
Line charts are one of the most basic and versatile chart types.  
They can be used to display trends over time, to correlate one variable 
with another, or to find clusters of information.  KavaChart's timeseries line chart 
collection includes date line charts that handle discontinuities.
<p>
KavaChart ProServe's Timeseries collection includes the following timeseries line
chart types:
<ul>
<li>dateLineApp
<li>disDateLineApp
<li>twinAxisDateLineApp
<li>twinAxisDateComboApp
</ul>
<p>
Use the source code to this page as a guide in creating your own line charts.
You can also use the KavaChart <a href="http://www.ve.com/editor/" target="_blank" />
ChartWizard</a>
to design your own line charts.
<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<chart:cached chartType="dateLineApp" useLinkMap="true" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="200" />
	<chart:param name="colorPalette" value="web_prague" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaBottom" value="0.25" />
	<chart:param name="plotAreaColor" value="dddddd" />
	<chart:param name="plotAreaGradient" value="2" />
	<chart:param name="plotAreaLeft" value="0.12" />
	<chart:param name="plotAreaRight" value="0.88" />
	<chart:param name="plotAreaSecondaryColor" value="ffffff" />
	<chart:param name="plotAreaTop" value="0.84" />
	<chart:param name="xAxisGridColor" value="cccccc" />
	<chart:param name="xAxisGridWidth" value="1" />
	<chart:param name="xAxisLabelColor" value="000000" />
	<chart:param name="xAxisLineColor" value="cccccc" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis" />
	<chart:param name="xAxisTickColor" value="cccccc" />
	<chart:param name="yAxisGridColor" value="cccccc" />
	<chart:param name="yAxisGridWidth" value="1" />
	<chart:param name="yAxisLabelColor" value="000000" />
	<chart:param name="yAxisLineColor" value="cccccc" />
	<chart:param name="yAxisOptions" value="gridOn,leftAxis" />
	<chart:param name="yAxisTickColor" value="cccccc" />

	<chart:param name="dwellLabelDateFormat" value="dd-MMM-yyyy hh:mm" />
	<chart:param name="dwellYString" value="Meters: XX" />
	<chart:param name="dwellXString" value="Day: XX" />
	<chart:param name="dwellUseYValue" value="true" />
	<chart:param name="dwellUseLabelString" value="false" />
	<chart:param name="locale" value="en_US" />
	<chart:param name="dwellUseDatasetName" value="true" />


	<chart:param name="titleString" value="Monterey Bay Wind Data" />
	<chart:param name="plotAreaSecondaryColor" value="9999ff" />
	<chart:param name="locale" value="en_US" />
	<chart:param name="dataset1Name" value="Gust Speed" />
	<chart:param name="dataset0Name" value="Wind Speed" />
	<chart:param name="dwellUseDatasetName" value="true" />

	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset0dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset0yValues" value="2.24,0,4.47,4.47,4.47,2.24,4.47,6.71,6.71,6.71,4.47,4.47,2.24,6.71,8.95,6.71,6.71,6.71,6.71,4.47,6.71,6.71,4.47,6.71,4.47,6.71,8.95,6.71,6.71,6.71,4.47,8.95,6.71,6.71,8.95,8.95,11.19,6.71,8.95,8.95,6.71,4.47,4.47,6.71,8.95,8.95,11.19,11.19,13.42,11.19,11.19,11.19,11.19,13.42,11.19,11.19,11.19,11.19,8.95,11.19,6.71,6.71,6.71,4.47,2.24,6.71,4.47,11.19,11.19,11.19,11.19,11.19,8.95,6.71,8.95,6.71,4.47,4.47,2.24,2.24,4.47,2.24,2.24,0,2.24,6.71,6.71,4.47,4.47,2.24,2.24,6.71,8.95,13.42,13.42,13.42,15.66,15.66,13.42,11.19,11.19,15.66,13.42,13.42,11.19,11.19,13.42,11.19,8.95,8.95,8.95,13.42,8.95,13.42,13.42,13.42" />
	<chart:param name="dataset1dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset1yValues" value="2.24,2.24,6.71,6.71,6.71,4.47,6.71,8.95,8.95,8.95,6.71,6.71,2.24,6.71,8.95,6.71,8.95,8.95,8.95,4.47,8.95,6.71,6.71,6.71,6.71,8.95,13.42,8.95,6.71,8.95,6.71,11.19,8.95,8.95,8.95,11.19,13.42,8.95,11.19,8.95,6.71,6.71,6.71,8.95,11.19,11.19,13.42,15.66,15.66,13.42,13.42,13.42,13.42,15.66,13.42,15.66,13.42,13.42,11.19,13.42,8.95,8.95,8.95,4.47,4.47,6.71,8.95,13.42,11.19,11.19,13.42,13.42,11.19,6.71,8.95,6.71,4.47,4.47,4.47,4.47,4.47,4.47,4.47,2.24,2.24,6.71,6.71,4.47,4.47,4.47,4.47,8.95,8.95,15.66,15.66,15.66,17.9,17.9,15.66,15.66,13.42,20.13,17.9,15.66,13.42,11.19,15.66,15.66,11.19,8.95,11.19,15.66,11.19,15.66,15.66,15.66" />
</chart:cached>
<br>
<chart:streamed chartType="disDateLineApp" useLinkMap="true" >
	<chart:param name="width" value="400" />
	<chart:param name="height" value="200" />
	<chart:param name="colorPalette" value="web_prague" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaBottom" value="0.25" />
	<chart:param name="plotAreaColor" value="dddddd" />
	<chart:param name="plotAreaGradient" value="2" />
	<chart:param name="plotAreaLeft" value="0.12" />
	<chart:param name="plotAreaRight" value="0.88" />
	<chart:param name="plotAreaSecondaryColor" value="ffffff" />
	<chart:param name="plotAreaTop" value="0.84" />
	<chart:param name="xAxisGridColor" value="cccccc" />
	<chart:param name="xAxisGridWidth" value="1" />
	<chart:param name="xAxisLabelColor" value="000000" />
	<chart:param name="xAxisLineColor" value="cccccc" />
	<chart:param name="xAxisOptions" value="gridOn,bottomAxis" />
	<chart:param name="xAxisTickColor" value="cccccc" />
	<chart:param name="yAxisGridColor" value="cccccc" />
	<chart:param name="yAxisGridWidth" value="1" />
	<chart:param name="yAxisLabelColor" value="000000" />
	<chart:param name="yAxisLineColor" value="cccccc" />
	<chart:param name="yAxisOptions" value="gridOn,leftAxis" />
	<chart:param name="yAxisTickColor" value="cccccc" />

	<chart:param name="dwellLabelDateFormat" value="dd-MMM-yyyy hh:mm" />
	<chart:param name="dwellYString" value="Meters: XX" />
	<chart:param name="dwellXString" value="Day: XX" />
	<chart:param name="dwellUseYValue" value="true" />
	<chart:param name="dwellUseLabelString" value="false" />
	<chart:param name="locale" value="en_US" />
	<chart:param name="dwellUseDatasetName" value="true" />

	<chart:param name="dataset0Name" value="Wave Heights" />
	<chart:param name="titleString" value="Monterey Bay Buoy Wave Data" />

	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset0dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset0yValues" value="3.28,3.61,3.94,4.27,3.94,3.94,3.94,x,x,3.94,4.27,3.94,3.94,x,4.27,3.94,3.61,4.27,3.61,3.94,3.94,3.94,4.27,3.61,3.94,3.94,3.61,3.61,4.27,3.94,x,x,x,3.61,3.94,3.61,3.94,3.94,3.61,3.28,3.94,4.59,4.27,3.94,4.27,3.94,4.59,3.94,4.27,4.27,3.94,3.94,3.94,4.27,4.27,3.61,3.61,3.28,3.94,3.94,3.61,3.28,3.61,3.28,3.61,3.61,3.61,3.94,3.61,2.95,3.28,3.61,3.28,3.61,2.95,2.95,3.28,3.61,x,x,x,x,2.95,3.28,2.95,3.28,3.28,3.28,2.95,3.61,3.28,2.95,3.28,2.95,3.28,2.62,2.95,3.28,3.28,3.28,2.95,2.95,2.95,2.95,2.95,3.61,2.62,2.62,3.28,2.95,2.95,2.95,2.95,3.28,2.95,2.62" />
	</chart:streamed>
</td><td valign=top>
<p>
One of the most useful timeseries charts is "dateLineApp".  This chart automatically converts time oriented data
into comprehensible line charts.  This sample shows wind data from a bouy outside Monterey Bay in California.
<p>
Like all time oriented charts, data can be supplied through the params "dataset0dateValues" and 
"dataset0yValues", or through external data sources, using "customDatasetHandler" to point to the file or
URL that contains your data.  If you're pointing to an external file, you can re-read the file periodically
by using the param "networkInterval" to define how many seconds you want to use as a data refresh rate.
<p>
This chart uses "dataset0dateValues", along with "inputDateFormat" to define how the incoming timestamps are
formatted.  It also uses "dwellLabelDateFormat" to define the dwell labels. The axis date formatting is left
to a default value.
<p>
A time oriented chart scans your data to create a meaningful time or date oriented axis.  In our case, the axis
interval is one day.  Depending on your data, this interval could be one week, a couple of days, a year, a quarter,
5 seconds, or some other meaningful value.  The axis extends a bit past the end of our data, and starts a
bit before our data to make sure the axis starts and ends on a one day interval, since that's appropriate
for these particular charts.
<p>
If you want an axis that uses a different interval, you can set "scalingType".  If you want to use a different
axis range, you can use "startDate" and "endDate" parameters.
<p>
If your data contains discontinuities, just use an unparseable number in place of a Y value ("x", for example),
and use "disDateLineApp", which processes the discontinuities as line breaks.
</td></tr></table>
<hr>
<table border=0><tr><td valign=top><tr><td valign=top>
<chart:streamed chartType="twinAxisDateLineApp" useLinkMap="true" >
	<chart:param name="width" value="500" />
	<chart:param name="height" value="300" />
	<chart:param name="auxAxisOptions" value="rotateTitle,rotateTitle,rightAxis," />
	<chart:param name="auxAxisTitle" value="Wave Heights" />
	<chart:param name="colorPalette" value="presentation_browns" />
	<chart:param name="dataset0Name" value="Wind Speed" />
	<chart:param name="dataset1Name" value="Wind Gust" />
	<chart:param name="dataset2Name" value="Wave Height" />
	<chart:param name="dataset2onRight" value="true" />
	<chart:param name="dwellUseDatasetName" value="true" />
	<chart:param name="dwellUseLabelString" value="false" />
	<chart:param name="dwellUseXValue" value="false" />
	<chart:param name="dwellUseYValue" value="true" />
	<chart:param name="dwellYString" value="value: XX" />
	<chart:param name="legendOn" value="true" />
	<chart:param name="plotAreaColor" value="4c2401" />
	<chart:param name="plotAreaLeft" value="0.1" />
	<chart:param name="plotAreaOutlineColor" value="a8d47f" />
	<chart:param name="plotAreaOutlining" value="true" />
	<chart:param name="plotAreaRight" value="0.87" />
	<chart:param name="plotAreaBottom" value="0.20" />
	<chart:param name="plotAreaTop" value="0.80" />
	<chart:param name="titleColor" value="ffe999" />
	<chart:param name="titleFont" value="SansSerif,24,0" />
	<chart:param name="titleString" value="Monterey Buoy Data" />
	<chart:param name="titleX" value="0.11" />
	<chart:param name="titleY" value="0.84" />
	<chart:param name="yAxisLabelColor" value="ffe999" />
	<chart:param name="yAxisLineColor" value="a8d47f" />
	<chart:param name="yAxisOptions" value="rotateTitle,rotateTitle,leftAxis," />
	<chart:param name="yAxisThresholdLine0Color" value="e66935" />
	<chart:param name="yAxisThresholdLine0LabelColor" value="e66935" />
	<chart:param name="yAxisThresholdLine0LabelFont" value="sansserif,12,0" />
	<chart:param name="yAxisThresholdLine0LabelString" value="Storm Level" />
	<chart:param name="yAxisThresholdLine0LineStyle" value="-1" />
	<chart:param name="yAxisThresholdLine0Value" value="20.0" />
	<chart:param name="yAxisTickColor" value="a8d47f" />
	<chart:param name="yAxisTitle" value="Wind Speeds" />
	<chart:param name="yAxisTitleFont" value="SansSerif,14,0" />

	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset0dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset0yValues" value="2.24,0,4.47,4.47,4.47,2.24,4.47,6.71,6.71,6.71,4.47,4.47,2.24,6.71,8.95,6.71,6.71,6.71,6.71,4.47,6.71,6.71,4.47,6.71,4.47,6.71,8.95,6.71,6.71,6.71,4.47,8.95,6.71,6.71,8.95,8.95,11.19,6.71,8.95,8.95,6.71,4.47,4.47,6.71,8.95,8.95,11.19,11.19,13.42,11.19,11.19,11.19,11.19,13.42,11.19,11.19,11.19,11.19,8.95,11.19,6.71,6.71,6.71,4.47,2.24,6.71,4.47,11.19,11.19,11.19,11.19,11.19,8.95,6.71,8.95,6.71,4.47,4.47,2.24,2.24,4.47,2.24,2.24,0,2.24,6.71,6.71,4.47,4.47,2.24,2.24,6.71,8.95,13.42,13.42,13.42,15.66,15.66,13.42,11.19,11.19,15.66,13.42,13.42,11.19,11.19,13.42,11.19,8.95,8.95,8.95,13.42,8.95,13.42,13.42,13.42" />
	<chart:param name="dataset1dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset1yValues" value="2.24,2.24,6.71,6.71,6.71,4.47,6.71,8.95,8.95,8.95,6.71,6.71,2.24,6.71,8.95,6.71,8.95,8.95,8.95,4.47,8.95,6.71,6.71,6.71,6.71,8.95,13.42,8.95,6.71,8.95,6.71,11.19,8.95,8.95,8.95,11.19,13.42,8.95,11.19,8.95,6.71,6.71,6.71,8.95,11.19,11.19,13.42,15.66,15.66,13.42,13.42,13.42,13.42,15.66,13.42,15.66,13.42,13.42,11.19,13.42,8.95,8.95,8.95,4.47,4.47,6.71,8.95,13.42,11.19,11.19,13.42,13.42,11.19,6.71,8.95,6.71,4.47,4.47,4.47,4.47,4.47,4.47,4.47,2.24,2.24,6.71,6.71,4.47,4.47,4.47,4.47,8.95,8.95,15.66,15.66,15.66,17.9,17.9,15.66,15.66,13.42,20.13,17.9,15.66,13.42,11.19,15.66,15.66,11.19,8.95,11.19,15.66,11.19,15.66,15.66,15.66" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd-HH:mm" />
	<chart:param name="dataset2dateValues" value="2003-08-02-02:00,2003-08-02-03:00,2003-08-02-04:00,2003-08-02-05:00,2003-08-02-06:00,2003-08-02-07:00,2003-08-02-08:00,2003-08-02-09:00,2003-08-02-10:00,2003-08-02-11:00,2003-08-02-12:00,2003-08-02-13:00,2003-08-02-14:00,2003-08-02-15:00,2003-08-02-16:00,2003-08-02-17:00,2003-08-02-18:00,2003-08-02-19:00,2003-08-02-20:00,2003-08-02-21:00,2003-08-02-22:00,2003-08-02-23:00,2003-08-03-00:00,2003-08-03-01:00,2003-08-03-02:00,2003-08-03-03:00,2003-08-03-04:00,2003-08-03-05:00,2003-08-03-06:00,2003-08-03-07:00,2003-08-03-08:00,2003-08-03-09:00,2003-08-03-10:00,2003-08-03-11:00,2003-08-03-12:00,2003-08-03-13:00,2003-08-03-14:00,2003-08-03-15:00,2003-08-03-16:00,2003-08-03-17:00,2003-08-03-18:00,2003-08-03-19:00,2003-08-03-20:00,2003-08-03-21:00,2003-08-03-22:00,2003-08-03-23:00,2003-08-04-00:00,2003-08-04-01:00,2003-08-04-02:00,2003-08-04-03:00,2003-08-04-04:00,2003-08-04-05:00,2003-08-04-06:00,2003-08-04-07:00,2003-08-04-08:00,2003-08-04-09:00,2003-08-04-10:00,2003-08-04-11:00,2003-08-04-12:00,2003-08-04-13:00,2003-08-04-14:00,2003-08-04-15:00,2003-08-04-16:00,2003-08-04-17:00,2003-08-04-18:00,2003-08-04-19:00,2003-08-04-20:00,2003-08-04-21:00,2003-08-04-22:00,2003-08-04-23:00,2003-08-05-00:00,2003-08-05-01:00,2003-08-05-02:00,2003-08-05-03:00,2003-08-05-04:00,2003-08-05-05:00,2003-08-05-06:00,2003-08-05-07:00,2003-08-05-08:00,2003-08-05-09:00,2003-08-05-10:00,2003-08-05-11:00,2003-08-05-12:00,2003-08-05-13:00,2003-08-05-14:00,2003-08-05-15:00,2003-08-05-16:00,2003-08-05-17:00,2003-08-05-18:00,2003-08-05-19:00,2003-08-05-20:00,2003-08-05-21:00,2003-08-05-22:00,2003-08-05-23:00,2003-08-06-00:00,2003-08-06-01:00,2003-08-06-02:00,2003-08-06-03:00,2003-08-06-04:00,2003-08-06-05:00,2003-08-06-06:00,2003-08-06-07:00,2003-08-06-08:00,2003-08-06-09:00,2003-08-06-10:00,2003-08-06-11:00,2003-08-06-12:00,2003-08-06-13:00,2003-08-06-14:00,2003-08-06-15:00,2003-08-06-16:00,2003-08-06-17:00,2003-08-06-18:00,2003-08-06-19:00,2003-08-06-20:00,2003-08-06-21:00" />
	<chart:param name="dataset2yValues" value="3.28,3.61,3.94,4.27,3.94,3.94,3.94,3.61,3.61,3.94,4.27,3.94,3.94,3.94,4.27,3.94,3.61,4.27,3.61,3.94,3.94,3.94,4.27,3.61,3.94,3.94,3.61,3.61,4.27,3.94,3.28,3.61,4.27,3.61,3.94,3.61,3.94,3.94,3.61,3.28,3.94,4.59,4.27,3.94,4.27,3.94,4.59,3.94,4.27,4.27,3.94,3.94,3.94,4.27,4.27,3.61,3.61,3.28,3.94,3.94,3.61,3.28,3.61,3.28,3.61,3.61,3.61,3.94,3.61,2.95,3.28,3.61,3.28,3.61,2.95,2.95,3.28,3.61,3.28,2.95,2.62,3.28,2.95,3.28,2.95,3.28,3.28,3.28,2.95,3.61,3.28,2.95,3.28,2.95,3.28,2.62,2.95,3.28,3.28,3.28,2.95,2.95,2.95,2.95,2.95,3.61,2.62,2.62,3.28,2.95,2.95,2.95,2.95,3.28,2.95,2.62" />

</chart:streamed>
</td><td valign=top>
<p>
This chart compares wind data with wave heights over a 5 day period.  Since winds gust
up to about 30 MPH, while swells only range up to about 4.5 meters, the wave data would
be completely lost if use use the same scale.  By using 2 axes, the wind and wave data
can be visually compared together.
<p>
Data is assigned to the right hand axis with the param "dataset0OnRight".  The right hand
axis is referred to as the "auxAxis" in style and option parameters, such as 
"auxAxisStart", "auxAxisGridColor", and so on.
<p>
Time oriented twin axis charts are suitable for a wide range of applications in
energy, environmental science, and finance.  This object is "twinAxisDateLineApp".
<p>
Time and date oriented twin axis charts use the same conventions as other time oriented
objects: "inputDateFormat", "axisDateFormat" and "dwellLabelDateFormat" govern the presentation
of the time information.  Data comes from "customDatasetHandler" or "dataset0dateValues".
URL oriented data can be read and re-read using the "networkInterval" parameter.


</td></tr></table>

<hr>

<table border=0><tr><td valign=top><tr><td valign="top">
<chart:streamed chartType="twinAxisDateComboApp" useLinkMap="true" >
	<chart:param name="width" value="485" />
	<chart:param name="height" value="250" />
	<chart:param name="dataset1onRight" value="true" />
	<chart:param name="dataset1Type" value="stick" />
	<chart:param name="titleString" value="GM Price and Volume, NYSE" />
	<chart:param name="titleFont" value="Helvetica,14,0" />

	<chart:param name="yAxisOptions" value="currencyLabels,gridOn" />
	<chart:param name="yAxisGridColor" value="lightGray" />
	<chart:param name="yAxisTitle" value="Share Price" />
	<chart:param name="dataset0Name" value="Share Price" />

	<chart:param name="auxAxisTitle" value="Volume" />
	<chart:param name="dataset1Name" value="Volume" />
	<chart:param name="auxAxisOptions" value="gridOn" />

	<chart:param name="dwellUseDatasetName" value="true" />
	<chart:param name="dwellYString" value="XX" />
	<chart:param name="dwellLabelDateFormat" value="MMM-dd" />

	<chart:param name="plotAreaRight" value="0.90" />
	<chart:param name="plotAreaLeft" value="0.13" />
	<chart:param name="plotAreaBottom" value="0.15" />

	<chart:param name="axisDateFormat" value="dd/M/yyyy" />
	<chart:param name="inputDateFormat" value="yyyy-MM-dd" />
	<chart:param name="dataset0dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset0yValues" value="64.59,59.82,65.36,62.09,69.49,73.33,72.23,80.06,76.06,82.81,93.62,70.63,58.06,56.94,70,65,62.12,49.5,50.94,53.7,53.32,51.85,54.32,56.9,64.35,63.6,54.75,42.9,41.32,49.7,48.6,51.14,52.98,60.45,64.15,62.15,53.45,46.55,47.86,38.9,33.25,39.7,36.86,36.33,33.77,33.62,36.05,35.33,36,37.43,36.56" />
	<chart:param name="dataset1dateValues" value="1999-06-01,1999-07-01,1999-08-02,1999-09-01,1999-10-01,1999-11-01,1999-12-01,2000-01-03,2000-02-01,2000-03-01,2000-04-03,2000-05-01,2000-06-01,2000-07-03,2000-08-01,2000-09-01,2000-10-02,2000-11-01,2000-12-01,2001-01-02,2001-02-01,2001-03-01,2001-04-02,2001-05-01,2001-06-01,2001-07-02,2001-08-01,2001-09-04,2001-10-01,2001-11-01,2001-12-03,2002-01-02,2002-02-04,2002-03-01,2002-04-01,2002-05-01,2002-06-03,2002-07-01,2002-08-01,2002-09-03,2002-10-01,2002-11-01,2002-12-02,2003-01-02,2003-02-03,2003-03-03,2003-04-01,2003-05-01,2003-06-02,2003-07-01,2003-08-01" />
	<chart:param name="dataset1yValues" value="2748581.0,2355314.0,2073931.0,1891785.0,2482966.0,2633409.0,2499686.0,4057225.0,4584447.0,3905665.0,6446636.0,1.3228045E7,5247720.0,2316730.0,2782033.0,2329840.0,2779672.0,3104390.0,3000455.0,3951280.0,3137347.0,3148118.0,2596015.0,2113659.0,2851361.0,2458342.0,2659408.0,3891946.0,2971430.0,2588009.0,3085250.0,3244352.0,5449583.0,6030355.0,4138000.0,3780409.0,5453615.0,6824286.0,4426922.0,5542035.0,8974291.0,6050060.0,4352645.0,5752489.0,5045594.0,6544223.0,5097895.0,5998742.0,8396338.0,6320640.0,8397400.0," />
</chart:streamed>
</td><td valign=top>
<p>
This chart combines various data types.  In this case we're comparing prices and
volume in the same chart.  Prices are in the $30 to $100 range, while volumes range up
to about 15,000,000.  Clearly, two axes are needed.
<p>
This chart uses lines and bars.  Lines convey trend data
while bars communicate discrete point observations.  This object, "twinAxisDateComboApp" also
uses a time oriented X axis, which is appropriate for many kinds of financial and
environmental data.
<p>
By default, this object uses a special symbol format on the axis to represent very
large numbers: 1,000,000 becomes 1M, and so on.  This object also lets you represent
both line and bar (stick) data on either axis.  The param "dataOnRight" assigns data
to the right axis.  This axis is referred to as the "auxAxis" in other parameters, such
as "auxAxisGridColor", and so on.  The param "dataset0Type" assigns dataset 0 to be either
"Stick" or "Line".
</td></tr></table>
