<!--
  Another simple JSP for generating charts
-->

<%@ page import = "com.ve.kavachart.servlet.*, java.util.*" %>
<%@ page import = "com.ve.kavachart.chart.*, com.ve.kavachart.utility.*" %>

<html>
<head><title>KavaChart ProServe - Using a DataProvider</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body bgcolor="white">

<% 
	/**
	 * A DataProvider implementation has only 2 methods:
	 * getDatasets(), and getUniqueIdentifier().
	 * These 2 methods provide "Dataset" classes for the chart to use.
	 * You might want to create a DataProvider at a database access layer in your
	 * page construction logic, and then retrieve it here in the presentation logic.
	 */
	class MyDataProvider implements DataProvider {

		public Enumeration getDatasets(){
			ArrayList list = new ArrayList();
			list.add(createDataset());
			list.add(createDataset());
			return Collections.enumeration(list);
		}
		//some string that's unique to this data - part of an SQL query, for example.
		public String getUniqueIdentifier(){
			return (new Date()).toString();
		}

		//create a dataset here:
		Dataset createDataset(){
			double[] data = new double[5];
			for(int i=0;i<data.length;i++){
				data[i] = Math.random();
			}
			return new Dataset("random numbers", data, true, null);
		}
	}

	columnApp chart = new columnApp();
	chart.setDataProvider(new MyDataProvider());

	chart.setProperty("colorPalette" ,"web_prague");

	chart.setProperty("dataset0Name" ,"Purple Series");
	chart.setProperty("dataset1Name" ,"Green Series");
	chart.setProperty("legendOn" ,"true");

	chart.setProperty("width", "400");
	chart.setProperty("height", "300");
	chart.setProperty("titleString", "A Nearly Default Chart");
	chart.setProperty("xAxisLabels", "jan-03,feb,mar,apr,may,jun,jul,aug,sep,oct,nov,dec,jan-04,feb,mar,apr,may,jun,jul,aug,sep");
	chart.setProperty("dwellYPercentFormat", "true");
	chart.setProperty("dwellLabelTemplate", "<datasetname><br>Bar: <x><br>Value: <y>");

	//where are we going to write this image?
	chart.setProperty("writeDirectory", application.getRealPath("/images/KavaChartImages"));


%>
<p>
This page contains an in-line DataProvider class that supplies random number data to this chart.
We set the DataProvider, set a few properties, and that's it.
<p>
<br>
<center>
	<%= chart.getLinkMap() %>
	<img src=../../../images/KavaChartImages/<%= chart.getFileName() %> BORDER=0 ISMAP USEMAP=#map0>
</center>
<p>
<p>
Since this chart is mixed with text on the same page, we're writing a new chart image into 
"/images/KavaChartImages" on each redraw.  That image is referenced in the &lt;IMG&gt; tag
contained in this page.
<p>
Note that this chart also uses tooltip labels to describe each bar.  The image map that implements these
labels is generated automatically by the ProServe chart object's "getLinkMap()" method.
</body>
</html>
