<!--
  A simple JSP scriptlet for generating charts
-->

<%@ page import = "com.ve.kavachart.servlet.*" %>

<html>
<head><title>ProServe Scriptlets - External Data</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body bgcolor="white">

<% 
	Bean chart = new lineApp();
	//add some random data here:
	for(int i=0;i<20;i++){
		double d = Math.random();
		chart.accumulateProperty("dataset0yValues", Double.toString(d));
	}
	for(int i=0;i<20;i++){
		double d = Math.random();
		chart.accumulateProperty("dataset1yValues", Double.toString(d));
	}
	for(int i=0;i<20;i++){
		double d = Math.random();
		chart.accumulateProperty("dataset2yValues", Double.toString(d));
	}

	chart.setProperty("colorPalette", "presentation_sophisticated");
	chart.setProperty("width", "500");
	chart.setProperty("height", "150");
	chart.setProperty("imageType", "flash");
	chart.setProperty("writeDirectory", application.getRealPath("/images/KavaChartImages"));


%>
<p>
To create output in Flash format, you'll need to create the proper "OBJECT" and "EMBED" syntax.  Other than
that, the KavaChart ProServe operation is identical to creating an image.  A Flash movie is created,
cached in a directory somewhere, and then referenced in the "OBJECT" tag.
<p>
Flash output has some distinct advantages and disadvantages:
<ul>
<li>It's a compact vector format, with built-in anti-aliasing
<li>The tooltip labels are carried in the chart data, for a nice visual effect
<li>OBJECT tags are inherently more complicated to create and maintain than IMG tags
<li>User's can't copy/paste Flash output
<li>High volume production of Flash output may be more efficient than image output because of reduced server
memory requirements.
</ul>
<p>
Our simple Flash "movie" chart:
<p>
<center>
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" 
		codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0" width="500" height="150" id="movie">
	<param name="movie" value="../../../images/KavaChartImages/<%=chart.getFileName()%>">
	<embed src="../../../images/KavaChartImages/<%=chart.getFileName()%>" quality="high" width="500" height="150" name="movie" 
		align="" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer"> 
</object>
</center>
<p>
Pass your mouse cursor over the line vertexes to see a tooltip that describes the actual value at each point.
</body>
</html>
