<!--
  A simple JSP scriptlet for generating charts
-->

<%@ page import = "com.ve.kavachart.servlet.*" %>

<html>
<head><title>ProServe Scriptlets - External Data</title>
	<link type="text/css" rel="stylesheet" href="../../../documentation/style.css">
</head>
<body bgcolor="white">

<% 
	Bean chart = new barApp();
	//add some random data here:
	for(int i=0;i<5;i++){
		double d = Math.random() * 75.;
		chart.accumulateProperty("dataset0yValues", Double.toString(d));
	}

	//set a few other properties to make the chart look nice
	chart.setProperty("width", "400");
	chart.setProperty("height", "250");
	chart.setProperty("titleString", "A Very Simple Chart");
	chart.setProperty("individualColors", "true");
	chart.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));
	chart.setProperty("dwellLabelTemplate", "Value: <y>");
%>
<table><tr><td valign="top">
<p>
There's not much to this chart.  Random data, with mostly default style properties.
<p>
How does this work?  The chart object contains all the logic for creating a chart image.  When we
call the method "chart.getFileName()" it creates an image and writes it into the cache directory,
set with the "writeDirectory" property.  We then point to the equivalent URL with an &lt;IMG&gt; tag.
<p>
Our very simple chart:
</td><td>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %>>
</td></tr><tr><td>
<p>
We can improve this chart by adding an imagemap to it, which supplies tooltip labels.  This is done
with the "getLinkMap()" method, like this:
<p>
</td><td>
<center>
<%= chart.getLinkMap() %>
<img src=../../../images/KavaChartImages/<%= chart.getFileName() %> BORDER=0 ISMAP USEMAP=#map0>
</center>
</td></tr></table>
<p>
Pass your mouse cursor over the bars to see a tooltip that describes the actual value for each bar.
</body>
</html>
