<html>
<head><title>Real Time Monterey Bay Bouy Wind Speed Data</title>
	<link type="text/css" rel="stylesheet" href="../../style.css">
</head>
<body>
<p>
<table border=0>
<tr><td>
<%@ page import = "com.ve.kavachart.servlet.*" %>
<%@ page import = "java.net.*" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.io.*" %>
<jsp:useBean id="lastTime" class="java.util.Date" scope="application"/>
<jsp:useBean id="fileNameVector" class="java.util.Vector" scope="application"/>
<%
		Date d = new Date();
		if((d.getTime()-lastTime.getTime()>(60*60*1000))||(fileNameVector.size()==0)){
			lastTime.setTime(d.getTime());
			disDateLineApp bean = new disDateLineApp();
			URL noaaURL = new URL("http://www.ndbc.noaa.gov/data/realtime2/46042.txt");
			BufferedReader reader = new BufferedReader(new InputStreamReader(noaaURL.openStream()));
			String line = reader.readLine(); //strip off the titles...
			Vector fileLines = new Vector();
			line = reader.readLine();
			while(line!=null){
				fileLines.addElement(line);
				line = reader.readLine();
			}
			StringBuffer sbWindGust = new StringBuffer();
			StringBuffer sbWindSpeed = new StringBuffer();
			StringBuffer sbTimeStamps = new StringBuffer();
			for(int i=fileLines.size()-1;i>-1;i--){
				String thisLine = (String)fileLines.elementAt(i);
				StringTokenizer st = new StringTokenizer(thisLine);
				String ts = st.nextToken() + st.nextToken() + st.nextToken() + st.nextToken();
				sbTimeStamps.append(ts + ",");
				st.nextToken();
				st.nextToken();
				sbWindGust.append(st.nextToken() + ",");
				sbWindSpeed.append(st.nextToken() + ",");
		}

		//set up the data handling
		bean.setProperty("titleString", "NOAA Bouy Data for Monterey Bay, California");
		bean.setProperty("dataset0Name", "Wind Speed");
		bean.setProperty("dataset0dateValues", sbTimeStamps.toString());
		bean.setProperty("dataset0yValues", sbWindGust.toString());
		bean.setProperty("dataset1Name", "Gust Speed");
		bean.setProperty("dataset1dateValues", sbTimeStamps.toString());
		bean.setProperty("dataset1yValues", sbWindSpeed.toString());
		bean.setProperty("inputDateFormat", "yyyyMMddHH"); //noaa's time format

        bean.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));

		//set some style properties
		bean.setProperty("antialiasOn", "true");
		bean.setProperty("colorPalette", "web_prague");
		bean.setProperty("height", "200");
		bean.setProperty("imageType", "j_png");
		bean.setProperty("legendOn", "true");
		bean.setProperty("plotAreaBottom", "0.25");
		bean.setProperty("plotAreaColor", "dddddd");
		bean.setProperty("plotAreaGradient", "2");
		bean.setProperty("plotAreaLeft", "0.12");
		bean.setProperty("plotAreaRight", "0.88");
		bean.setProperty("plotAreaSecondaryColor", "ffffff");
		bean.setProperty("plotAreaTop", "0.83");
		bean.setProperty("width", "500");
		bean.setProperty("xAxisOptions", "gridOn,bottomAxis");
		bean.setProperty("yAxisGridColor", "cccccc");
		bean.setProperty("yAxisOptions", "gridOn,leftAxis");
		bean.setProperty("dataset0LineWidth", "1");
		bean.setProperty("dataset1LineWidth", "1");


		try{
		fileNameVector.removeAllElements();
		fileNameVector.addElement(bean.getFileName());
		}catch(Exception ex){
			ex.printStackTrace();
		}
	}
%>
<img src="../../../images/KavaChartImages/<%=fileNameVector.elementAt(0)%>">
</td><td valign=top>
<p>
This JSP reads real time wind gust information from a NOAA bouy outside of of Monterey Bay, on
the California coast.  The information is passed into a chart bean, which constructs the chart.
<p>
This page also illustrates a technique for optimizing data sources that might be shared or
that don't change often.  The data sources are placed into an "application scope" bean that is only 
updated hourly, the frequency of our data acquisition from the buoy.  
<p>
Since we can display this chart without re-reading the buoy data, this means that a page refresh
will be nearly instantaneous, as would another user's view of the same page.
</a>
</td></tr></table>
<p>
<a href="http://www.noaa.gov">
<img src="http://www.noaa.gov/images/head_title.png">
<p>
<a href=http://www.ndbc.noaa.gov/data/realtime2/46042.txt>See the Bouy data format</a>
</body>
</html>

