<html>
<head><title>United States Cancer Rates by State</title></head>
<body bgcolor=#DDDDDD>
<p>
<table border=0>
<tr><td>
<%@ page import = "com.ve.kavachart.servlet.*" %>
<%@ page import = "com.ve.kavachart.chart.*" %>
<%@ page import = "java.net.*" %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.io.*" %>
<%
		FileInputStream fileIn = new FileInputStream(application.getRealPath("examples/scriptlet-samples/data/cancerData.txt"));
		BufferedReader reader = new BufferedReader(new InputStreamReader(fileIn));

		String line = reader.readLine(); //strip off the titles...
		line = reader.readLine(); //this is cumulative US information
		StringTokenizer st = new StringTokenizer(line, ";");
		st.nextToken();
		final Double overallCancerRate = Double.valueOf(st.nextToken()); //US overall rate

		//create a chart
		barApp bean = new barApp(){
			//add a method to show the US National rate...
			public void drawMyStuff(java.awt.Graphics g){
				DataTransform dataTransform = new DataTransform((Chart)chart);
				Datum datOne = new Datum(overallCancerRate.doubleValue(), chart.getXAxis().getAxisStart(), null);
				Datum datTwo = new Datum(overallCancerRate.doubleValue(), chart.getXAxis().getAxisEnd(), null);
				java.awt.Point p1 = dataTransform.datumToPoint(datOne);
				java.awt.Point p2 = dataTransform.datumToPoint(datTwo);
				g.setColor(java.awt.Color.red);
				g.drawLine(p1.x, p1.y, p2.x, p2.y);
				g.drawString("Overall US Rate", p1.x + 3, p1.y - 3);
			}
		};
		//read the rest of the information and put it into the chart
		line = reader.readLine();
		while(line!=null){
			st = new StringTokenizer(line, ";");
			bean.accumulateProperty("dataset0Labels", st.nextToken());
			bean.accumulateProperty("dataset0yValues", st.nextToken());
			line = reader.readLine();
		}

		bean.setProperty("defaultFont", "Arial,12,0");
		bean.setProperty("xAxisLabelFont", "Arial,10,0");
		bean.setProperty("titleFont", "Arial,14,0");
		bean.setProperty("titleString", "US Cancer Rates by State");
		bean.setProperty("dataset0SecondaryColor", "0000DD");
		bean.setProperty("dataset0Color", "000000");
		bean.setProperty("dataset0Gradient", "3");
		bean.setProperty("backgroundSecondaryColor", "white");
		bean.setProperty("backgroundGradient", "1");

        bean.setProperty("writeDirectory", application.getRealPath("images/KavaChartImages"));

		bean.setProperty("outlineColor", "darkGray");
		bean.setProperty("outlineLegend", "false");
		bean.setProperty("outlineDataRepresentation", "true");
		bean.setProperty("backgroundColor", "DDDDDD");
		bean.setProperty("legendColor", "EEEEFF");
		bean.setProperty("yAxisOptions", "gridOn,minTickOn,rotateTitle");
		bean.setProperty("xAxisOptions", "tickOff");
		bean.setProperty("yAxisTitle", "Cancers per 100,000");

		bean.setProperty("plotAreaRight", "0.96");
		bean.setProperty("plotAreaLeft", "0.12");
		bean.setProperty("plotAreaTop", "0.95");
		bean.setProperty("plotAreaBottom", "0.10");
		bean.setProperty("plotAreaColor", "white");

		bean.setProperty("barClusterWidth", "0.99");
		bean.setProperty("width", "500");
		bean.setProperty("height", "633");
		bean.setProperty("dwellUseXValue", "false");
		bean.setProperty("dwellYString", "Cancer Rate: XX");
		bean.setProperty("dwellUseLabelString", "true");

		try{
		out.println(bean.getLinkMap());
		out.println("<img src=\"../../../images/KavaChartImages/" + bean.getFileName() + "\" BORDER=0 ISMAP USEMAP=#map0>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
%>
</td><td valign="top">
<p>
Here we use data from the National Cancer Institute to create a chart that describes overall
cancer rates in the 50 United States.  You'll notice that the chart uses gradient coloring for the
bars and background, and draws a threshold line at the overal US Cancer Rate.
<p>
The overall rate is created by using two handy KavaChart utilities.  The first is a method that lets
you overlay any kind of drawing on a chart.  We create an anonymous charting bean subclass to overload
this method with some drawing logic.  The actual values used for drawing the line are obtained
with KavaChart's DataTransform class, which translates data values into pixel information. <em>Note: it's a lot easier to just use a ThresholdLine, but this shows 
how you can do any sort of drawing over your graphs.
</em>
</td></tr></table>
</body>
</html>

