<html>
<!--
  Copyright (c) 2004 Visual Engineering, Inc.  All rights 
  reserved.
-->
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
	<title>KavaChart on the Server</title><p>
</head>
<body>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<%@ page import = "java.util.*, com.ve.kavachart.chart.*, com.ve.kavachart.utility.*" %>
<%
	//We'll implement a simple DataProvider to supply information that might convey different information
	//when transposed
	class BusinessData implements DataProvider {
		double[] restaurantRevenue = { 123, 234, 345, 456 };
		double[] banquetRevenue = {55, 78, 89, 66 };
		double[] conventionRevenue = { 99, 86, 97, 120 };
		String[] labels = {"2001","2002","2003","2004"};

		public Enumeration getDatasets(){
			ArrayList list = new ArrayList();
			Dataset d = new Dataset("Restaurant Revenue", restaurantRevenue, labels, true, null);
			list.add(d);
			d = new Dataset("Banquet Revenue", banquetRevenue, labels, true, null);
			list.add(d);
			d = new Dataset("Convention Revenue", conventionRevenue, labels, true, null);
			list.add(d);
			return Collections.enumeration(list);
		}
		public String getUniqueIdentifier(){
			return "biz";
		}
	}

	pageContext.setAttribute("data", new BusinessData());
%>
<p>

<br>
<center>
<form method=post action="charttypes.jsp">
<select name="chartType">
	<option value="stackColumnApp"> Stacked Column Chart
	<option value="columnApp"> Column Chart
</select>

<INPUT type=submit value="Change Chart Type">
</form>
<br>
<%
	//get the chart type parameter.
	String chartType = request.getParameter("chartType");
	if(chartType==null)
		chartType = "columnApp";
%>
</center>
<p>
Sometimes it's helpful to transpose data to get a deeper understanding of what's going on. For example,
the charts on this page use exactly the same data.  This chart communicates what's
happening with revenues over 4 different years.  Each year has a break down of revenue categories,
but it's difficult to tell what might be happening with, say, restaurant revenues over the 4 years.
<p>
<center>
<chart:streamed style="styles/transpose.properties" chartType="<%=chartType%>" dataProviderID="data" />
</center>
<p>
This chart, on the other hand, focuses the eye on revenue trends within each category, so you can 
quickly tell whether revenues are increasing for Conventions, whether an unusual revenue event happened
for Restaurants, and so on.  To accomplish this, we used the ProServe "datatranspose" tag to reorganize 
the data.  Place your cursor over each bar to get a clearer idea of what's happening here. 
<p>
<center>
<chart:streamed 
	style="styles/transpose.properties" 
	chartType="<%=chartType%>" reloadStyle="true" >

	<chart:datatransposer dataProviderID="data" />

</chart:streamed>
</center>
<p>
Many kinds of data also require a table to completely clarify the information.  ProServe chart tags also
speed this task, by providing a "table" tag that uses your own CSS style elements to present live data
from a DataProvider.  In this case, we're using the same DataProvider we used for the charts above to create
a styled table.
<p>
<center>
<chart:table cellClass="numbers" 
	rowWise="false" 
	columnHeaderClass="headers" rowHeaderClass="rowheaders"
	style="styles/transpose.properties" dataProviderID="data" />


</center>
<p>
The logic for placing the table within page constructs is identical to the logic used by chart tags.  Where
appropriate, the table inherits information from a chart style (labels, titles, etc.), and cell data is
dynamically generated from a named DataProvider.
<p>
Even though we're using Flash to draw the charts on this page, we use HTML to render the table, since that's
a more natural vehicle for textual information.
</body>
</html>
