<%@ page import="java.util.*, com.ve.kavachart.utility.*, com.ve.kavachart.chart.*" %> 
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<html>
<!--
  Copyright (c) 2004 Visual Engineering, Inc.  All rights 
  reserved.
-->
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
</head>

<%

	ArrayList data = new ArrayList();
	String s = request.getParameter("d0");
	if(s!=null){
		data = new java.util.ArrayList();
		data.add(s);
		for(int i=1;i<5;i++){
			data.add(request.getParameter("d" + i));
		}
	}else{
		for(int i=0;i<5;i++)
			data.add(Integer.toString((int)Math.ceil(Math.random()*5)));
	}
	//this is where you would create your code to build a data provider.  We'll do a
	//real simple one inline with an inner class:
	class MyDataProvider implements DataProvider {
		ArrayList list;

		//create some data - you'd go to a database or something for more interesting data
		MyDataProvider(ArrayList formValues){
			double[] someNumbers = new double[formValues.size()];
			for(int i=0;i<someNumbers.length;i++){
				String val = (String)formValues.get(i);
				someNumbers[i] = Double.parseDouble(val);
			}
			Dataset d = new Dataset("form data", someNumbers, 0, null);
			list = new ArrayList();
			list.add(d);
		}

		public String getUniqueIdentifier(){
			return list.toString(); //some unique ID - we'll use an address
		}
		public java.util.Enumeration getDatasets(){
			return Collections.enumeration(list);
		}
	}

	MyDataProvider myDataProvider = new MyDataProvider(data);
	pageContext.setAttribute("formData", myDataProvider);
%>
<body>
<title>KavaChart ProServe</title>
<p>
<table><tr><td>
<p>
This example implements a DataProvider within the JSP.  A DataProvider
is the glue between your data and the charts.  In this example, we're getting
our data from the form below the chart.  See our other examples to see
data from a variety of public sources.
<p>
Like the previous example, we use an externally-defined style that simplifies the chart
definition, and makes it easy to maintain this page in the future.  In this case, 
the style, "pie.properties", is quite simple, defining only the size of the chart and some
colors, and turning the legend on.  You can see the style 
<a href="../../source.jsp?styles/pie.properties">here</a>.
<p>
This chart also uses JavaScript tooltips for a more active appearance. As you
pass your mouse over each slice, a label is displayed describing the slice
in more detail.  The tooltip contents are controlled by a property
"dwellLabelTemplate".
</td><td>
	<table><tr><td>
	<!------------------the chart-------------------->
	<chart:streamed chartType="pieApp" dataProviderID="formData" style="styles/pie.properties" />
	<!------------------end of the chart-------------------->
	</tr></td>
	<tr><td>
	<form action=inner_data.jsp method=post>
	<%
		for(int i=0;i<data.size();i++)
			out.println("<input name=\"d" + i + "\" value=\"" + data.get(i) + "\" size=\"3\">");
	%>
	</td></tr><td>
	<input type="submit" value="Redraw">
	</td></tr></table>
	</center>
</td></tr>
</table>
<p>
Adjust the values in the form and press the redraw button to see the data applied.  Look at
the source code to see how the chart definition fits within the table like any other
HTML item.
<p>
Here's another version of the same chart the lays out the labels differently.
With this form of labelling, you should use a chart that is significantly
wider than it is tall.
<p>
<chart:streamed chartType="pieApp" dataProviderID="formData" style="styles/pie.properties">
	<chart:param name="width" value="700" />
	<chart:param name="height" value="250" />
	<chart:param name="3D" value="false" />
	<chart:param name="pieWidth" value="0.22" />
	<chart:param name="pieHeight" value="0.6" />
	<chart:param name="legendOn" value="false" />
	<chart:param name="labelPosition" value="table" />
	<chart:param name="dataset0Labels" value="North America, South America, Northern Europe, Southern Europe, Eastern Europe" />
	<chart:param name="textLabelsOn" value="true" />
	<chart:param name="plotAreaRight" value="0.7" />
	<chart:param name="plotAreaLeft" value="0.3" />
	<chart:param name="labelFont" value="Arial,11,0" />
</chart:streamed>
<script language="JavaScript"
	type="text/javascript"
	src="../scriptlet-samples/standard/wz_tooltip.js"></script>
</body>
</html>
