<html>
<!--
  Copyright (c) 2004 Visual Engineering, Inc.  All rights 
  reserved.
-->
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
</head>
<body>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<jsp:useBean id="foo" scope="page" class="examples.RandomNumberDataProvider" type="examples.RandomNumberDataProvider" />
<%
	String imageType = request.getParameter("imageType");
	if(imageType==null)
		imageType = "flash";
	String titleString = "Very Flashy Output";
	if(imageType.equals("svg"))
		titleString = "Scalable Vector Graphics";
	else if(imageType.equals("j_png"))
		titleString = "PNG: Patent Free Lossless Output";
	else if(imageType.equals("jpeg"))
		titleString = "JPEG: lossy, but universally supported";
%>

<title>KavaChart ProServe - Flash and Load Balancing</title>
<p>
This page demonstrates some of the variety of image
types supported by KavaChart ProServe, including Scalable Vector Graphics (SVG) or 
Macromedia Flash&#xA9; movies.
<p>
While you can add the &lt;OBJECT&gt; tags to your JSP or HTML, and use ProServe objects
to generate the output, ProServe chart tags simplify you page source.
<p>
This page also demonstrates KavaChart's built-in load balancing feature.  If your
server is mirrored, this tag will construct a request for the chart image data
from any server in the cluster, without using sticky sessions or other management
overhead.
<p>
Flash and SVG formats have a significant advantage for load-balanced environments:
Unlike image output, which requires an HTML client-side imagemap to be created
separate from the image, Flash and SVG contain the tooltip labels within the chart
definition, making for more efficient use of server resources.  Also, since
Flash has nearly universal support, it's a terrific alternative for situations where
users don't need to copy and paste images from web pages.

<p>
<center>
<!------------------the chart-------------------->
<chart:balanced 
	style="styles/load_balanced.properties" 
	chartType="lineApp" 
	dataProviderID="foo" 
	useLinkMap="true" 
	width="500"
	height="150"
	imageType="<%=imageType%>"  >

	<%---------- an inner tag that provides some random numbers ------%>
	<chart:datasimulation 
		numDatasets="3" 
		numObservations="20" />

	<chart:param name="titleString" value="<%=titleString%>" />
</chart:balanced>
<!------------------end of the chart-------------------->
</center>
<p>
If you place your cursor at a line vertex, you'll see a tooltip label.  You could
also create a hyperlink at each point, if your application required it.
<p>
Select from one of the "image types" below to compare image output with scalable
vector output, PNG, or JPG.
<p>


<form method=post action="load_balanced.jsp">
Image Type:

<select name="imageType">
<option value="flash" <%if(imageType.equals("flash")) out.print("selected");%>>Flash
<option value="svg" <%if(imageType.equals("svg")) out.print("selected");%>>SVG
<option value="j_png" <%if(imageType.equals("j_png")) out.print("selected");%>>PNG
<option value="jpeg" <%if(imageType.equals("jpeg")) out.print("selected");%>>JPEG
</select>

<INPUT type=submit value="Redraw">
</form>


</body>
</html>
