<html>
<!--
  Copyright (c) 2004 Visual Engineering, Inc.  All rights 
  reserved.
-->
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
	<title>KavaChart ProServe - Inner Param Tags
</head>
<body>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<title>KavaChart on the Server</title><p>
This chart uses an inner "datasimulation" tag to create random series of data.
You can create your own custom tags to supply data to KavaChart's chart tags.
This gives you the flexibility to plug any data source into any chart.
<p>

<table><tr><td>
<%
	String titleString = request.getParameter("titleString");
	if(titleString==null)
		titleString = "A Nearly Default Chart";
%>
<%
//Set up the flyover pie charts on each bar.
String pieString = "/kavachart/KavaChart?";
String propertyString = "delimiter=|&colorPalette=web_prague&width=150&height=150&chartType=pieApp&textLabelsOn=true&dataset0Labels=widgets|gadgets&dataset0yValues=";
pieString = pieString + propertyString;
//now we have an image generating reference, we'll add some data to it:
StringBuffer greenLabels = new StringBuffer();
StringBuffer purpleLabels = new StringBuffer();
for(int i=0;i<6;i++){
	//just using random numbers.  You'll do something much more interesting
	String greenPieString = pieString + Math.random() + "|" + Math.random();
	String purplePieString = pieString + Math.random() + "|" + Math.random();
	greenLabels.append(greenPieString);
	greenLabels.append(",");

	purpleLabels.append(purplePieString);
	purpleLabels.append(",");
}
//and these "labels" are actually going to show up as pie chart images
String purpleFlyoverCharts = purpleLabels.toString();
String greenFlyoverCharts = greenLabels.toString();
// we insert the "label" into our flyover information, which actually points
// to a chart servlet
String dwellLabelTemplate = "<datasetname><br>Percent of Quota:<y><br><img src=<label>>";
%>

<!------------------the chart-------------------->
<chart:streamed 
	style="styles/paramchart.properties" 
	chartType="columnApp">

	<%---------- an inner tag that provides some random numbers ------%>
	<chart:datasimulation 
		numDatasets="2" 
		numObservations="6" />

	<%------------change the way colors are rendered-----------------%>
	<chart:param name="colorPalette" value="web_prague" />
	<chart:param name="individualColors" value="false" />

	<%----------- some simple property overrides - all optional -----%>
	<chart:param name="dataset0Name" value="Purple Series" />
	<chart:param name="dataset1Name" value="Green Series" />
	<chart:param name="dwellLabelTemplate" value="<%=dwellLabelTemplate%>" />
	<chart:param name="legendOn" value="true" />

	<%----------- a title from the JSP request variable --------------%>
	<chart:param name="titleString" value="<%=titleString%>" />

	<%----------- let's use JavaScript tooltips for an interesting effect---%>
	<chart:param name="javascriptTooltips" value="true" />
	<chart:param name="dataset0Labels" value="<%=purpleFlyoverCharts%>" />
	<chart:param name="dataset1Labels" value="<%=greenFlyoverCharts%>" />

</chart:streamed>
<!------------------end of the chart-------------------->
</td><td valign="top">
<p>
Viewing the Java 
<a href="../../source.jsp?examples/tag-samples/paramchart.jsp">source code for this page</a>, you'll see that we also 
added a couple
of ad-hoc "param" tags to change the dataset names, and to add these dataset
names to the tooltip labels over each bar.  You can use inner param tags to 
override any chart properties set by the DataProvider
or the properties sheet.
<p>
The "titleString" property can be modified by changing a request parameter, 
since it uses a dynamic value.  You can
change any chart property: titles, colors, chart type, etc. based on dynamic 
values, an important feature for dynamically generated pages.
<a href="paramchart.jsp?titleString=A Completely Different Chart Title">Click here</a> to
see the title change.
<p>
Another interesting aspect of this chart is that, like all the charts in
these samples, it effectively mixes HTML
text and graphics without saving any chart image to the server.  
The tag library accomplishes this by returning an IMG tag that references
a cooperative servlet to supply the image bytes.
<p>
The most interesting thing about this chart, however, is that dynamically 
generated chart images that appear over each bar.  This is an effective
way of creating drill-down information without navigating to a new page.
We achieve this by using the KavaChart chart servlet to generate image data
instead of a simple text label.
</td</tr></table>
<script language="JavaScript" src="../scriptlet-samples/standard/wz_tooltip.js">
</script>
</body>
</html>
