<%@ taglib uri="/WEB-INF/kavachart-taglib.tld" prefix="chart" %>
<%
	String state = request.getParameter("state");
	if(state==null)
		state = "California";
	examples.RevenueSources tax = new examples.RevenueSources(state);
	pageContext.setAttribute("tax", tax);
	String subtitle = state + " (tax dollars in millions)";
%>
<HTML>
<HEAD>
<TITLE>KavaChart ProServe - State Revenue Sources (taxes)</TITLE>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
</HEAD>
<BODY>
<chart:streamed
	style="/styles/revenue_pie.properties" 
	dataProviderID="tax"
	chartType="pieApp" >
	<chart:param name="subTitleString" value="<%=subtitle%>" />
</chart:streamed>
<FORM NAME="format" action="revenue.jsp" method="get">
<select NAME="state" >
<%=tax.displayStateSelections()%>
</select>
<input type=submit value=Select>
</FORM>
<hr>
<em>The Nuts and Bolts:</em>
If you view the source code for this page, you'll discover an extremely simple JSP that
does some fairly complex things.  A DataProvider class supplies tax revenue data for each of the
50 United States.  This page simply creates an instance of that DataProvider, setting
the state we're interested in, and then plugs it into the chart tag.
<p>
The DataProvider does extra duty to supply a list of state names to keep our JSP simple
and bulletproof.  Which means that the page designer can concentrate on the page design,
while the programmers can focus on programming.

<p>
Based on data from The Urban Institute and The Brookings Institution, available online at http://www.taxpolicycenter.org/TaxFacts/ or http://www.taxpolicycenter.org; July 2002.
</BODY>
</HTML>
