<html>
<!--
  Copyright (c) 2004 Visual Engineering, Inc.  All rights 
  reserved.
-->
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
</head>

<body>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<jsp:useBean id="foo" scope="page" class="examples.RandomNumberDataProvider" />
<%
	//by default, this DataProvider gives 2 Series, but we only want one
	foo.doTwo = false;
%>
<title>KavaChart on the Server</title>
<p>
Here's our page, with a dynamically generated chart.  If you refresh the page, you'll see
the bars change with the data.
If you place your cursor over a bar, you'll see a tooltip label provided by the
tag defaults and refined by the style set.  If you view the source code to the page, you'll
see that a servlet is doing the work of storing the image data in memory and streaming it to the
browser.
<p>
So how does this all work?  First, there's a chart definition, that looks like this:
<pre>
	&lt;chart:streamed style="styles/paramchart.properties" dataProviderID="foo" /&gt;
</pre>
This says that we're going to use a chart style defined by "paramchart.properties".
That file is here: <a href="../../source.jsp?/styles/paramchart.properties">properties file</a>.  It
simply defines some axis labels, a width and height, and some non-default strings for the
tooltip labels.
<p>
<table><tr><td valign="top">
<p>
It also says we're going to use a "DataProvider" named "foo".  
<p>
A DataProvider is a little piece
of code that defines the numbers and labels for the bars.  It's abstracted from the chart
definition for good reasons: it's portable from chart to chart, it can be put into a variety of
persistence models (application, session, page, etc.), and it can be tested outside an
HTTP environment.  This particular DataProvider just generates random numbers.  
<p>
You can see it here:
<a href="../../source.jsp?/dataexamples/RandomNumberDataProvider.java">
RandomNumberDataProvider</a>.
<p>
Pretty simple.
</td><td> 
<center>
	<!------------------the chart-------------------->
	<chart:streamed style="styles/paramchart.properties" dataProviderID="foo" />
	<!------------------end of the chart-------------------->
</center>
</td></tr></table>
<p>
Our "foo" DataProvider could be installed in a lot of ways, but this page just loads it as
a JavaBean, using JSP's "useBean" syntax.  Another technique would be to set it like this:
<pre>
pageContext.setAttribute("foo" new RandomNumberDataProvider());
</pre>
<p>
If you're accustomed to building complex web applications with multiple page generation layers,
you'll appreciate that the data management code can be installed at just about any point in 
the page construction process.
</body>
</html>
