<html>
<!--
  Copyright (c) 2004 Visual Engineering, Inc.  All rights 
  reserved.
-->
<head>
	<link type="text/css" rel="stylesheet" href="../../documentation/style.css">
</head>
<body>
<%@ taglib uri="/WEB-INF/jsp/kavachart-taglib.tld" prefix="chart" %>
<title>KavaChart ProServe Tags - Web Service XML Data</title>
<p>
This page demonstrates the built-in localization facilities in KavaChart's
custom tag library.  Just extend your existing ResourceBundles to include
KavaChart chart properties, like "titleString", or "axisDateFormat", and include
the ResourceBundle base name as a chart tag attribute to automatically
customize your charts by locale.
<p>
These charts read data from a Web Service that provides temperature data for 
San Francisco Bay Area cities.  ProServe's webservice data tag reads XML data in
the format defined by this DTD: http://www.ve.com/kavachart/KavaChartDataProvider.dtd.
The actual data is supplied by this URL: 
<a href="http://www.kavachart.com/weather.jsp">http://www.kavachart.com/weather.jsp</a>,
which in turn reads and translates data from a National Weather Service web site.
<p>
<table><tr><td valign="top">
<p>
In an actual application, we might want to use a performance enhancing method available to
ProServe chart tag users.  Data sources can be placed into page, session, or application
contexts.  Since weather observations don't change too often, we could just make the
weather DataProvider intelligent enough to avoid unecessary traffic to the NWS web site,
and then place that DataProvider into an application context.
<p>
That way, every viewer of these charts would be able to re-use the same DataProvider, boosting
page delivery speeds.  We could also use the "cached" chart tag instead of the "streamed" tag
to completely eliminate unnecessary rendering activity on our server.  New chart images
would only be constructed when weather data changes.  Best of all, it's all automatic.  You don't
need to add any application logic at drive your server at full speed.
</td><td valign="top">
<!------------the chart---------->
<chart:streamed 
	style="/styles/weather.properties" 
	chartType="barApp" >
	<chart:datawebservice serviceURL="http://www.kavachart.com/weather.jsp" />
</chart:streamed>



</td></tr><tr><td valign="top">
<p>
The next chart uses the same styles, and the same data.
<p>
Notice that the title, subtitle, axis title and 
flyover labels have changed for this chart.  
Although the locale is usually detected and loaded automatically, this example uses
an inner tag to specify "Spain" as our locale (es_es). Since we have a resource
bundle for Spain that contains new information for tooltip labels, titles, 
the axis title and reference line label, these items have changed.
<p>
Place your cursor over the bars to see the localized tooltips.

</td><td align="left" valign="top">

<!-------------the chart------------>
<chart:streamed 
	style="/styles/weather.properties" 
	chartType="barApp" 
	resourceBundleBaseName="weather_resources" >

	<chart:datawebservice serviceURL="http://www.kavachart.com/weather.jsp" />

	<%---- an inner tag to force the chart to use Spanish language resources ---%>
	<chart:locale localeString="es_es" />

</chart:streamed>


</td></tr></table>
</body>
</html>
